ICU 74.2 74.2

Public Member Functions | Static Public Member Functions | Protected Member Functions | Friends
icu::MeasureUnit Class Reference

A unit such as length, mass, volume, currency, etc. More...

`#include <measunit.h>`

Inheritance diagram for icu::MeasureUnit:

## Public Member Functions
| MeasureUnit ()
| Default constructor.
| MeasureUnit (const MeasureUnit &other)
| Copy constructor.
| MeasureUnit (MeasureUnit &&other) noexcept
| Move constructor.
MeasureUnit & | operator= (const MeasureUnit &other)
| Copy assignment operator.
MeasureUnit & | operator= (MeasureUnit &&other) noexcept
| Move assignment operator.
virtual MeasureUnit * | clone () const
| Returns a polymorphic clone of this object.
virtual | ~MeasureUnit ()
| Destructor.
virtual bool | operator== (const UObject &other) const
| Equality operator.
bool | operator!= (const UObject &other) const
| Inequality operator.
const char * | getType () const
| Get the type.
const char * | getSubtype () const
| Get the sub type.
const char * | getIdentifier () const
| Get CLDR Unit Identifier for this MeasureUnit, as defined in UTS 35.
UMeasureUnitComplexity | getComplexity (UErrorCode &status) const
| Compute the complexity of the unit.
MeasureUnit | withPrefix (UMeasurePrefix prefix, UErrorCode &status) const
| Creates a MeasureUnit which is this SINGLE unit augmented with the specified prefix.
UMeasurePrefix | getPrefix (UErrorCode &status) const
| Returns the current SI or binary prefix of this SINGLE unit.
MeasureUnit | withDimensionality (int32_t dimensionality, UErrorCode &status) const
| Creates a MeasureUnit which is this SINGLE unit augmented with the specified dimensionality (power).
int32_t | getDimensionality (UErrorCode &status) const
| Gets the dimensionality (power) of this MeasureUnit.
MeasureUnit | reciprocal (UErrorCode &status) const
| Gets the reciprocal of this MeasureUnit, with the numerator and denominator flipped.
MeasureUnit | product (const MeasureUnit &other, UErrorCode &status) const
| Gets the product of this unit with another unit.
std::pair< LocalArray< MeasureUnit >, int32_t > | splitToSingleUnits (UErrorCode &status) const
| Gets the list of SINGLE units contained within a MIXED or COMPOUND unit.
virtual UClassID | getDynamicClassID (void) const override
| Returns a unique class ID POLYMORPHICALLY.
int32_t | getOffset () const
| ICU use only.
Public Member Functions inherited from icu::UObject
virtual | ~UObject ()
| Destructor.
virtual UClassID | getDynamicClassID () const
| ICU4C "poor man's RTTI", returns a UClassID for the actual ICU class.

## Static Public Member Functions
static MeasureUnit | forIdentifier (StringPiece identifier, UErrorCode &status)
| Construct a MeasureUnit from a CLDR Core Unit Identifier, defined in UTS.
static int32_t | getAvailable (MeasureUnit *destArray, int32_t destCapacity, UErrorCode &errorCode)
| getAvailable gets all of the available units.
static int32_t | getAvailable (const char *type, MeasureUnit *destArray, int32_t destCapacity, UErrorCode &errorCode)
| getAvailable gets all of the available units for a specific type.
static StringEnumeration * | getAvailableTypes (UErrorCode &errorCode)
| getAvailableTypes gets all of the available types.
static UClassID | getStaticClassID (void)
| Return the class ID for this class.
static MeasureUnit * | createGForce (UErrorCode &status)
| Returns by pointer, unit of acceleration: g-force.
static MeasureUnit | getGForce ()
| Returns by value, unit of acceleration: g-force.
static MeasureUnit * | createMeterPerSecondSquared (UErrorCode &status)
| Returns by pointer, unit of acceleration: meter-per-square-second.
static MeasureUnit | getMeterPerSecondSquared ()
| Returns by value, unit of acceleration: meter-per-square-second.
static MeasureUnit * | createArcMinute (UErrorCode &status)
| Returns by pointer, unit of angle: arc-minute.
static MeasureUnit | getArcMinute ()
| Returns by value, unit of angle: arc-minute.
static MeasureUnit * | createArcSecond (UErrorCode &status)
| Returns by pointer, unit of angle: arc-second.
static MeasureUnit | getArcSecond ()
| Returns by value, unit of angle: arc-second.
static MeasureUnit * | createDegree (UErrorCode &status)
| Returns by pointer, unit of angle: degree.
static MeasureUnit | getDegree ()
| Returns by value, unit of angle: degree.
static MeasureUnit * | createRadian (UErrorCode &status)
| Returns by pointer, unit of angle: radian.
static MeasureUnit | getRadian ()
| Returns by value, unit of angle: radian.
static MeasureUnit * | createRevolutionAngle (UErrorCode &status)
| Returns by pointer, unit of angle: revolution.
static MeasureUnit | getRevolutionAngle ()
| Returns by value, unit of angle: revolution.
static MeasureUnit * | createAcre (UErrorCode &status)
| Returns by pointer, unit of area: acre.
static MeasureUnit | getAcre ()
| Returns by value, unit of area: acre.
static MeasureUnit * | createDunam (UErrorCode &status)
| Returns by pointer, unit of area: dunam.
static MeasureUnit | getDunam ()
| Returns by value, unit of area: dunam.
static MeasureUnit * | createHectare (UErrorCode &status)
| Returns by pointer, unit of area: hectare.
static MeasureUnit | getHectare ()
| Returns by value, unit of area: hectare.
static MeasureUnit * | createSquareCentimeter (UErrorCode &status)
| Returns by pointer, unit of area: square-centimeter.
static MeasureUnit | getSquareCentimeter ()
| Returns by value, unit of area: square-centimeter.
static MeasureUnit * | createSquareFoot (UErrorCode &status)
| Returns by pointer, unit of area: square-foot.
static MeasureUnit | getSquareFoot ()
| Returns by value, unit of area: square-foot.
static MeasureUnit * | createSquareInch (UErrorCode &status)
| Returns by pointer, unit of area: square-inch.
static MeasureUnit | getSquareInch ()
| Returns by value, unit of area: square-inch.
static MeasureUnit * | createSquareKilometer (UErrorCode &status)
| Returns by pointer, unit of area: square-kilometer.
static MeasureUnit | getSquareKilometer ()
| Returns by value, unit of area: square-kilometer.
static MeasureUnit * | createSquareMeter (UErrorCode &status)
| Returns by pointer, unit of area: square-meter.
static MeasureUnit | getSquareMeter ()
| Returns by value, unit of area: square-meter.
static MeasureUnit * | createSquareMile (UErrorCode &status)
| Returns by pointer, unit of area: square-mile.
static MeasureUnit | getSquareMile ()
| Returns by value, unit of area: square-mile.
static MeasureUnit * | createSquareYard (UErrorCode &status)
| Returns by pointer, unit of area: square-yard.
static MeasureUnit | getSquareYard ()
| Returns by value, unit of area: square-yard.
static MeasureUnit * | createItem (UErrorCode &status)
| Returns by pointer, unit of concentr: item.
static MeasureUnit | getItem ()
| Returns by value, unit of concentr: item.
static MeasureUnit * | createKarat (UErrorCode &status)
| Returns by pointer, unit of concentr: karat.
static MeasureUnit | getKarat ()
| Returns by value, unit of concentr: karat.
static MeasureUnit * | createMilligramOfglucosePerDeciliter (UErrorCode &status)
| Returns by pointer, unit of concentr: milligram-ofglucose-per-deciliter.
static MeasureUnit | getMilligramOfglucosePerDeciliter ()
| Returns by value, unit of concentr: milligram-ofglucose-per-deciliter.
static MeasureUnit * | createMilligramPerDeciliter (UErrorCode &status)
| Returns by pointer, unit of concentr: milligram-per-deciliter.
static MeasureUnit | getMilligramPerDeciliter ()
| Returns by value, unit of concentr: milligram-per-deciliter.
static MeasureUnit * | createMillimolePerLiter (UErrorCode &status)
| Returns by pointer, unit of concentr: millimole-per-liter.
static MeasureUnit | getMillimolePerLiter ()
| Returns by value, unit of concentr: millimole-per-liter.
static MeasureUnit * | createMole (UErrorCode &status)
| Returns by pointer, unit of concentr: mole.
static MeasureUnit | getMole ()
| Returns by value, unit of concentr: mole.
static MeasureUnit * | createPercent (UErrorCode &status)
| Returns by pointer, unit of concentr: percent.
static MeasureUnit | getPercent ()
| Returns by value, unit of concentr: percent.
static MeasureUnit * | createPermille (UErrorCode &status)
| Returns by pointer, unit of concentr: permille.
static MeasureUnit | getPermille ()
| Returns by value, unit of concentr: permille.
static MeasureUnit * | createPartPerMillion (UErrorCode &status)
| Returns by pointer, unit of concentr: permillion.
static MeasureUnit | getPartPerMillion ()
| Returns by value, unit of concentr: permillion.
static MeasureUnit * | createPermyriad (UErrorCode &status)
| Returns by pointer, unit of concentr: permyriad.
static MeasureUnit | getPermyriad ()
| Returns by value, unit of concentr: permyriad.
static MeasureUnit * | createLiterPer100Kilometers (UErrorCode &status)
| Returns by pointer, unit of consumption: liter-per-100-kilometer.
static MeasureUnit | getLiterPer100Kilometers ()
| Returns by value, unit of consumption: liter-per-100-kilometer.
static MeasureUnit * | createLiterPerKilometer (UErrorCode &status)
| Returns by pointer, unit of consumption: liter-per-kilometer.
static MeasureUnit | getLiterPerKilometer ()
| Returns by value, unit of consumption: liter-per-kilometer.
static MeasureUnit * | createMilePerGallon (UErrorCode &status)
| Returns by pointer, unit of consumption: mile-per-gallon.
static MeasureUnit | getMilePerGallon ()
| Returns by value, unit of consumption: mile-per-gallon.
static MeasureUnit * | createMilePerGallonImperial (UErrorCode &status)
| Returns by pointer, unit of consumption: mile-per-gallon-imperial.
static MeasureUnit | getMilePerGallonImperial ()
| Returns by value, unit of consumption: mile-per-gallon-imperial.
static MeasureUnit * | createBit (UErrorCode &status)
| Returns by pointer, unit of digital: bit.
static MeasureUnit | getBit ()
| Returns by value, unit of digital: bit.
static MeasureUnit * | createByte (UErrorCode &status)
| Returns by pointer, unit of digital: byte.
static MeasureUnit | getByte ()
| Returns by value, unit of digital: byte.
static MeasureUnit * | createGigabit (UErrorCode &status)
| Returns by pointer, unit of digital: gigabit.
static MeasureUnit | getGigabit ()
| Returns by value, unit of digital: gigabit.
static MeasureUnit * | createGigabyte (UErrorCode &status)
| Returns by pointer, unit of digital: gigabyte.
static MeasureUnit | getGigabyte ()
| Returns by value, unit of digital: gigabyte.
static MeasureUnit * | createKilobit (UErrorCode &status)
| Returns by pointer, unit of digital: kilobit.
static MeasureUnit | getKilobit ()
| Returns by value, unit of digital: kilobit.
static MeasureUnit * | createKilobyte (UErrorCode &status)
| Returns by pointer, unit of digital: kilobyte.
static MeasureUnit | getKilobyte ()
| Returns by value, unit of digital: kilobyte.
static MeasureUnit * | createMegabit (UErrorCode &status)
| Returns by pointer, unit of digital: megabit.
static MeasureUnit | getMegabit ()
| Returns by value, unit of digital: megabit.
static MeasureUnit * | createMegabyte (UErrorCode &status)
| Returns by pointer, unit of digital: megabyte.
static MeasureUnit | getMegabyte ()
| Returns by value, unit of digital: megabyte.
static MeasureUnit * | createPetabyte (UErrorCode &status)
| Returns by pointer, unit of digital: petabyte.
static MeasureUnit | getPetabyte ()
| Returns by value, unit of digital: petabyte.
static MeasureUnit * | createTerabit (UErrorCode &status)
| Returns by pointer, unit of digital: terabit.
static MeasureUnit | getTerabit ()
| Returns by value, unit of digital: terabit.
static MeasureUnit * | createTerabyte (UErrorCode &status)
| Returns by pointer, unit of digital: terabyte.
static MeasureUnit | getTerabyte ()
| Returns by value, unit of digital: terabyte.
static MeasureUnit * | createCentury (UErrorCode &status)
| Returns by pointer, unit of duration: century.
static MeasureUnit | getCentury ()
| Returns by value, unit of duration: century.
static MeasureUnit * | createDay (UErrorCode &status)
| Returns by pointer, unit of duration: day.
static MeasureUnit | getDay ()
| Returns by value, unit of duration: day.
static MeasureUnit * | createDayPerson (UErrorCode &status)
| Returns by pointer, unit of duration: day-person.
static MeasureUnit | getDayPerson ()
| Returns by value, unit of duration: day-person.
static MeasureUnit * | createDecade (UErrorCode &status)
| Returns by pointer, unit of duration: decade.
static MeasureUnit | getDecade ()
| Returns by value, unit of duration: decade.
static MeasureUnit * | createHour (UErrorCode &status)
| Returns by pointer, unit of duration: hour.
static MeasureUnit | getHour ()
| Returns by value, unit of duration: hour.
static MeasureUnit * | createMicrosecond (UErrorCode &status)
| Returns by pointer, unit of duration: microsecond.
static MeasureUnit | getMicrosecond ()
| Returns by value, unit of duration: microsecond.
static MeasureUnit * | createMillisecond (UErrorCode &status)
| Returns by pointer, unit of duration: millisecond.
static MeasureUnit | getMillisecond ()
| Returns by value, unit of duration: millisecond.
static MeasureUnit * | createMinute (UErrorCode &status)
| Returns by pointer, unit of duration: minute.
static MeasureUnit | getMinute ()
| Returns by value, unit of duration: minute.
static MeasureUnit * | createMonth (UErrorCode &status)
| Returns by pointer, unit of duration: month.
static MeasureUnit | getMonth ()
| Returns by value, unit of duration: month.
static MeasureUnit * | createMonthPerson (UErrorCode &status)
| Returns by pointer, unit of duration: month-person.
static MeasureUnit | getMonthPerson ()
| Returns by value, unit of duration: month-person.
static MeasureUnit * | createNanosecond (UErrorCode &status)
| Returns by pointer, unit of duration: nanosecond.
static MeasureUnit | getNanosecond ()
| Returns by value, unit of duration: nanosecond.
static MeasureUnit * | createQuarter (UErrorCode &status)
| Returns by pointer, unit of duration: quarter.
static MeasureUnit | getQuarter ()
| Returns by value, unit of duration: quarter.
static MeasureUnit * | createSecond (UErrorCode &status)
| Returns by pointer, unit of duration: second.
static MeasureUnit | getSecond ()
| Returns by value, unit of duration: second.
static MeasureUnit * | createWeek (UErrorCode &status)
| Returns by pointer, unit of duration: week.
static MeasureUnit | getWeek ()
| Returns by value, unit of duration: week.
static MeasureUnit * | createWeekPerson (UErrorCode &status)
| Returns by pointer, unit of duration: week-person.
static MeasureUnit | getWeekPerson ()
| Returns by value, unit of duration: week-person.
static MeasureUnit * | createYear (UErrorCode &status)
| Returns by pointer, unit of duration: year.
static MeasureUnit | getYear ()
| Returns by value, unit of duration: year.
static MeasureUnit * | createYearPerson (UErrorCode &status)
| Returns by pointer, unit of duration: year-person.
static MeasureUnit | getYearPerson ()
| Returns by value, unit of duration: year-person.
static MeasureUnit * | createAmpere (UErrorCode &status)
| Returns by pointer, unit of electric: ampere.
static MeasureUnit | getAmpere ()
| Returns by value, unit of electric: ampere.
static MeasureUnit * | createMilliampere (UErrorCode &status)
| Returns by pointer, unit of electric: milliampere.
static MeasureUnit | getMilliampere ()
| Returns by value, unit of electric: milliampere.
static MeasureUnit * | createOhm (UErrorCode &status)
| Returns by pointer, unit of electric: ohm.
static MeasureUnit | getOhm ()
| Returns by value, unit of electric: ohm.
static MeasureUnit * | createVolt (UErrorCode &status)
| Returns by pointer, unit of electric: volt.
static MeasureUnit | getVolt ()
| Returns by value, unit of electric: volt.
static MeasureUnit * | createBritishThermalUnit (UErrorCode &status)
| Returns by pointer, unit of energy: british-thermal-unit.
static MeasureUnit | getBritishThermalUnit ()
| Returns by value, unit of energy: british-thermal-unit.
static MeasureUnit * | createCalorie (UErrorCode &status)
| Returns by pointer, unit of energy: calorie.
static MeasureUnit | getCalorie ()
| Returns by value, unit of energy: calorie.
static MeasureUnit * | createElectronvolt (UErrorCode &status)
| Returns by pointer, unit of energy: electronvolt.
static MeasureUnit | getElectronvolt ()
| Returns by value, unit of energy: electronvolt.
static MeasureUnit * | createFoodcalorie (UErrorCode &status)
| Returns by pointer, unit of energy: foodcalorie.
static MeasureUnit | getFoodcalorie ()
| Returns by value, unit of energy: foodcalorie.
static MeasureUnit * | createJoule (UErrorCode &status)
| Returns by pointer, unit of energy: joule.
static MeasureUnit | getJoule ()
| Returns by value, unit of energy: joule.
static MeasureUnit * | createKilocalorie (UErrorCode &status)
| Returns by pointer, unit of energy: kilocalorie.
static MeasureUnit | getKilocalorie ()
| Returns by value, unit of energy: kilocalorie.
static MeasureUnit * | createKilojoule (UErrorCode &status)
| Returns by pointer, unit of energy: kilojoule.
static MeasureUnit | getKilojoule ()
| Returns by value, unit of energy: kilojoule.
static MeasureUnit * | createKilowattHour (UErrorCode &status)
| Returns by pointer, unit of energy: kilowatt-hour.
static MeasureUnit | getKilowattHour ()
| Returns by value, unit of energy: kilowatt-hour.
static MeasureUnit * | createThermUs (UErrorCode &status)
| Returns by pointer, unit of energy: therm-us.
static MeasureUnit | getThermUs ()
| Returns by value, unit of energy: therm-us.
static MeasureUnit * | createKilowattHourPer100Kilometer (UErrorCode &status)
| Returns by pointer, unit of force: kilowatt-hour-per-100-kilometer.
static MeasureUnit | getKilowattHourPer100Kilometer ()
| Returns by value, unit of force: kilowatt-hour-per-100-kilometer.
static MeasureUnit * | createNewton (UErrorCode &status)
| Returns by pointer, unit of force: newton.
static MeasureUnit | getNewton ()
| Returns by value, unit of force: newton.
static MeasureUnit * | createPoundForce (UErrorCode &status)
| Returns by pointer, unit of force: pound-force.
static MeasureUnit | getPoundForce ()
| Returns by value, unit of force: pound-force.
static MeasureUnit * | createGigahertz (UErrorCode &status)
| Returns by pointer, unit of frequency: gigahertz.
static MeasureUnit | getGigahertz ()
| Returns by value, unit of frequency: gigahertz.
static MeasureUnit * | createHertz (UErrorCode &status)
| Returns by pointer, unit of frequency: hertz.
static MeasureUnit | getHertz ()
| Returns by value, unit of frequency: hertz.
static MeasureUnit * | createKilohertz (UErrorCode &status)
| Returns by pointer, unit of frequency: kilohertz.
static MeasureUnit | getKilohertz ()
| Returns by value, unit of frequency: kilohertz.
static MeasureUnit * | createMegahertz (UErrorCode &status)
| Returns by pointer, unit of frequency: megahertz.
static MeasureUnit | getMegahertz ()
| Returns by value, unit of frequency: megahertz.
static MeasureUnit * | createDot (UErrorCode &status)
| Returns by pointer, unit of graphics: dot.
static MeasureUnit | getDot ()
| Returns by value, unit of graphics: dot.
static MeasureUnit * | createDotPerCentimeter (UErrorCode &status)
| Returns by pointer, unit of graphics: dot-per-centimeter.
static MeasureUnit | getDotPerCentimeter ()
| Returns by value, unit of graphics: dot-per-centimeter.
static MeasureUnit * | createDotPerInch (UErrorCode &status)
| Returns by pointer, unit of graphics: dot-per-inch.
static MeasureUnit | getDotPerInch ()
| Returns by value, unit of graphics: dot-per-inch.
static MeasureUnit * | createEm (UErrorCode &status)
| Returns by pointer, unit of graphics: em.
static MeasureUnit | getEm ()
| Returns by value, unit of graphics: em.
static MeasureUnit * | createMegapixel (UErrorCode &status)
| Returns by pointer, unit of graphics: megapixel.
static MeasureUnit | getMegapixel ()
| Returns by value, unit of graphics: megapixel.
static MeasureUnit * | createPixel (UErrorCode &status)
| Returns by pointer, unit of graphics: pixel.
static MeasureUnit | getPixel ()
| Returns by value, unit of graphics: pixel.
static MeasureUnit * | createPixelPerCentimeter (UErrorCode &status)
| Returns by pointer, unit of graphics: pixel-per-centimeter.
static MeasureUnit | getPixelPerCentimeter ()
| Returns by value, unit of graphics: pixel-per-centimeter.
static MeasureUnit * | createPixelPerInch (UErrorCode &status)
| Returns by pointer, unit of graphics: pixel-per-inch.
static MeasureUnit | getPixelPerInch ()
| Returns by value, unit of graphics: pixel-per-inch.
static MeasureUnit * | createAstronomicalUnit (UErrorCode &status)
| Returns by pointer, unit of length: astronomical-unit.
static MeasureUnit | getAstronomicalUnit ()
| Returns by value, unit of length: astronomical-unit.
static MeasureUnit * | createCentimeter (UErrorCode &status)
| Returns by pointer, unit of length: centimeter.
static MeasureUnit | getCentimeter ()
| Returns by value, unit of length: centimeter.
static MeasureUnit * | createDecimeter (UErrorCode &status)
| Returns by pointer, unit of length: decimeter.
static MeasureUnit | getDecimeter ()
| Returns by value, unit of length: decimeter.
static MeasureUnit * | createEarthRadius (UErrorCode &status)
| Returns by pointer, unit of length: earth-radius.
static MeasureUnit | getEarthRadius ()
| Returns by value, unit of length: earth-radius.
static MeasureUnit * | createFathom (UErrorCode &status)
| Returns by pointer, unit of length: fathom.
static MeasureUnit | getFathom ()
| Returns by value, unit of length: fathom.
static MeasureUnit * | createFoot (UErrorCode &status)
| Returns by pointer, unit of length: foot.
static MeasureUnit | getFoot ()
| Returns by value, unit of length: foot.
static MeasureUnit * | createFurlong (UErrorCode &status)
| Returns by pointer, unit of length: furlong.
static MeasureUnit | getFurlong ()
| Returns by value, unit of length: furlong.
static MeasureUnit * | createInch (UErrorCode &status)
| Returns by pointer, unit of length: inch.
static MeasureUnit | getInch ()
| Returns by value, unit of length: inch.
static MeasureUnit * | createKilometer (UErrorCode &status)
| Returns by pointer, unit of length: kilometer.
static MeasureUnit | getKilometer ()
| Returns by value, unit of length: kilometer.
static MeasureUnit * | createLightYear (UErrorCode &status)
| Returns by pointer, unit of length: light-year.
static MeasureUnit | getLightYear ()
| Returns by value, unit of length: light-year.
static MeasureUnit * | createMeter (UErrorCode &status)
| Returns by pointer, unit of length: meter.
static MeasureUnit | getMeter ()
| Returns by value, unit of length: meter.
static MeasureUnit * | createMicrometer (UErrorCode &status)
| Returns by pointer, unit of length: micrometer.
static MeasureUnit | getMicrometer ()
| Returns by value, unit of length: micrometer.
static MeasureUnit * | createMile (UErrorCode &status)
| Returns by pointer, unit of length: mile.
static MeasureUnit | getMile ()
| Returns by value, unit of length: mile.
static MeasureUnit * | createMileScandinavian (UErrorCode &status)
| Returns by pointer, unit of length: mile-scandinavian.
static MeasureUnit | getMileScandinavian ()
| Returns by value, unit of length: mile-scandinavian.
static MeasureUnit * | createMillimeter (UErrorCode &status)
| Returns by pointer, unit of length: millimeter.
static MeasureUnit | getMillimeter ()
| Returns by value, unit of length: millimeter.
static MeasureUnit * | createNanometer (UErrorCode &status)
| Returns by pointer, unit of length: nanometer.
static MeasureUnit | getNanometer ()
| Returns by value, unit of length: nanometer.
static MeasureUnit * | createNauticalMile (UErrorCode &status)
| Returns by pointer, unit of length: nautical-mile.
static MeasureUnit | getNauticalMile ()
| Returns by value, unit of length: nautical-mile.
static MeasureUnit * | createParsec (UErrorCode &status)
| Returns by pointer, unit of length: parsec.
static MeasureUnit | getParsec ()
| Returns by value, unit of length: parsec.
static MeasureUnit * | createPicometer (UErrorCode &status)
| Returns by pointer, unit of length: picometer.
static MeasureUnit | getPicometer ()
| Returns by value, unit of length: picometer.
static MeasureUnit * | createPoint (UErrorCode &status)
| Returns by pointer, unit of length: point.
static MeasureUnit | getPoint ()
| Returns by value, unit of length: point.
static MeasureUnit * | createSolarRadius (UErrorCode &status)
| Returns by pointer, unit of length: solar-radius.
static MeasureUnit | getSolarRadius ()
| Returns by value, unit of length: solar-radius.
static MeasureUnit * | createYard (UErrorCode &status)
| Returns by pointer, unit of length: yard.
static MeasureUnit | getYard ()
| Returns by value, unit of length: yard.
static MeasureUnit * | createCandela (UErrorCode &status)
| Returns by pointer, unit of light: candela.
static MeasureUnit | getCandela ()
| Returns by value, unit of light: candela.
static MeasureUnit * | createLumen (UErrorCode &status)
| Returns by pointer, unit of light: lumen.
static MeasureUnit | getLumen ()
| Returns by value, unit of light: lumen.
static MeasureUnit * | createLux (UErrorCode &status)
| Returns by pointer, unit of light: lux.
static MeasureUnit | getLux ()
| Returns by value, unit of light: lux.
static MeasureUnit * | createSolarLuminosity (UErrorCode &status)
| Returns by pointer, unit of light: solar-luminosity.
static MeasureUnit | getSolarLuminosity ()
| Returns by value, unit of light: solar-luminosity.
static MeasureUnit * | createCarat (UErrorCode &status)
| Returns by pointer, unit of mass: carat.
static MeasureUnit | getCarat ()
| Returns by value, unit of mass: carat.
static MeasureUnit * | createDalton (UErrorCode &status)
| Returns by pointer, unit of mass: dalton.
static MeasureUnit | getDalton ()
| Returns by value, unit of mass: dalton.
static MeasureUnit * | createEarthMass (UErrorCode &status)
| Returns by pointer, unit of mass: earth-mass.
static MeasureUnit | getEarthMass ()
| Returns by value, unit of mass: earth-mass.
static MeasureUnit * | createGrain (UErrorCode &status)
| Returns by pointer, unit of mass: grain.
static MeasureUnit | getGrain ()
| Returns by value, unit of mass: grain.
static MeasureUnit * | createGram (UErrorCode &status)
| Returns by pointer, unit of mass: gram.
static MeasureUnit | getGram ()
| Returns by value, unit of mass: gram.
static MeasureUnit * | createKilogram (UErrorCode &status)
| Returns by pointer, unit of mass: kilogram.
static MeasureUnit | getKilogram ()
| Returns by value, unit of mass: kilogram.
static MeasureUnit * | createMetricTon (UErrorCode &status)
| Returns by pointer, unit of mass: metric-ton (renamed to tonne in CLDR 42 / ICU 72).
static MeasureUnit | getMetricTon ()
| Returns by value, unit of mass: metric-ton (renamed to tonne in CLDR 42 / ICU 72).
static MeasureUnit * | createMicrogram (UErrorCode &status)
| Returns by pointer, unit of mass: microgram.
static MeasureUnit | getMicrogram ()
| Returns by value, unit of mass: microgram.
static MeasureUnit * | createMilligram (UErrorCode &status)
| Returns by pointer, unit of mass: milligram.
static MeasureUnit | getMilligram ()
| Returns by value, unit of mass: milligram.
static MeasureUnit * | createOunce (UErrorCode &status)
| Returns by pointer, unit of mass: ounce.
static MeasureUnit | getOunce ()
| Returns by value, unit of mass: ounce.
static MeasureUnit * | createOunceTroy (UErrorCode &status)
| Returns by pointer, unit of mass: ounce-troy.
static MeasureUnit | getOunceTroy ()
| Returns by value, unit of mass: ounce-troy.
static MeasureUnit * | createPound (UErrorCode &status)
| Returns by pointer, unit of mass: pound.
static MeasureUnit | getPound ()
| Returns by value, unit of mass: pound.
static MeasureUnit * | createSolarMass (UErrorCode &status)
| Returns by pointer, unit of mass: solar-mass.
static MeasureUnit | getSolarMass ()
| Returns by value, unit of mass: solar-mass.
static MeasureUnit * | createStone (UErrorCode &status)
| Returns by pointer, unit of mass: stone.
static MeasureUnit | getStone ()
| Returns by value, unit of mass: stone.
static MeasureUnit * | createTon (UErrorCode &status)
| Returns by pointer, unit of mass: ton.
static MeasureUnit | getTon ()
| Returns by value, unit of mass: ton.
static MeasureUnit * | createTonne (UErrorCode &status)
| Returns by pointer, unit of mass: tonne.
static MeasureUnit | getTonne ()
| Returns by value, unit of mass: tonne.
static MeasureUnit * | createGigawatt (UErrorCode &status)
| Returns by pointer, unit of power: gigawatt.
static MeasureUnit | getGigawatt ()
| Returns by value, unit of power: gigawatt.
static MeasureUnit * | createHorsepower (UErrorCode &status)
| Returns by pointer, unit of power: horsepower.
static MeasureUnit | getHorsepower ()
| Returns by value, unit of power: horsepower.
static MeasureUnit * | createKilowatt (UErrorCode &status)
| Returns by pointer, unit of power: kilowatt.
static MeasureUnit | getKilowatt ()
| Returns by value, unit of power: kilowatt.
static MeasureUnit * | createMegawatt (UErrorCode &status)
| Returns by pointer, unit of power: megawatt.
static MeasureUnit | getMegawatt ()
| Returns by value, unit of power: megawatt.
static MeasureUnit * | createMilliwatt (UErrorCode &status)
| Returns by pointer, unit of power: milliwatt.
static MeasureUnit | getMilliwatt ()
| Returns by value, unit of power: milliwatt.
static MeasureUnit * | createWatt (UErrorCode &status)
| Returns by pointer, unit of power: watt.
static MeasureUnit | getWatt ()
| Returns by value, unit of power: watt.
static MeasureUnit * | createAtmosphere (UErrorCode &status)
| Returns by pointer, unit of pressure: atmosphere.
static MeasureUnit | getAtmosphere ()
| Returns by value, unit of pressure: atmosphere.
static MeasureUnit * | createBar (UErrorCode &status)
| Returns by pointer, unit of pressure: bar.
static MeasureUnit | getBar ()
| Returns by value, unit of pressure: bar.
static MeasureUnit * | createGasolineEnergyDensity (UErrorCode &status)
| Returns by pointer, unit of pressure: gasoline-energy-density.
static MeasureUnit | getGasolineEnergyDensity ()
| Returns by value, unit of pressure: gasoline-energy-density.
static MeasureUnit * | createHectopascal (UErrorCode &status)
| Returns by pointer, unit of pressure: hectopascal.
static MeasureUnit | getHectopascal ()
| Returns by value, unit of pressure: hectopascal.
static MeasureUnit * | createInchHg (UErrorCode &status)
| Returns by pointer, unit of pressure: inch-ofhg.
static MeasureUnit | getInchHg ()
| Returns by value, unit of pressure: inch-ofhg.
static MeasureUnit * | createKilopascal (UErrorCode &status)
| Returns by pointer, unit of pressure: kilopascal.
static MeasureUnit | getKilopascal ()
| Returns by value, unit of pressure: kilopascal.
static MeasureUnit * | createMegapascal (UErrorCode &status)
| Returns by pointer, unit of pressure: megapascal.
static MeasureUnit | getMegapascal ()
| Returns by value, unit of pressure: megapascal.
static MeasureUnit * | createMillibar (UErrorCode &status)
| Returns by pointer, unit of pressure: millibar.
static MeasureUnit | getMillibar ()
| Returns by value, unit of pressure: millibar.
static MeasureUnit * | createMillimeterOfMercury (UErrorCode &status)
| Returns by pointer, unit of pressure: millimeter-ofhg.
static MeasureUnit | getMillimeterOfMercury ()
| Returns by value, unit of pressure: millimeter-ofhg.
static MeasureUnit * | createPascal (UErrorCode &status)
| Returns by pointer, unit of pressure: pascal.
static MeasureUnit | getPascal ()
| Returns by value, unit of pressure: pascal.
static MeasureUnit * | createPoundPerSquareInch (UErrorCode &status)
| Returns by pointer, unit of pressure: pound-force-per-square-inch.
static MeasureUnit | getPoundPerSquareInch ()
| Returns by value, unit of pressure: pound-force-per-square-inch.
static MeasureUnit * | createBeaufort (UErrorCode &status)
| Returns by pointer, unit of speed: beaufort.
static MeasureUnit | getBeaufort ()
| Returns by value, unit of speed: beaufort.
static MeasureUnit * | createKilometerPerHour (UErrorCode &status)
| Returns by pointer, unit of speed: kilometer-per-hour.
static MeasureUnit | getKilometerPerHour ()
| Returns by value, unit of speed: kilometer-per-hour.
static MeasureUnit * | createKnot (UErrorCode &status)
| Returns by pointer, unit of speed: knot.
static MeasureUnit | getKnot ()
| Returns by value, unit of speed: knot.
static MeasureUnit * | createMeterPerSecond (UErrorCode &status)
| Returns by pointer, unit of speed: meter-per-second.
static MeasureUnit | getMeterPerSecond ()
| Returns by value, unit of speed: meter-per-second.
static MeasureUnit * | createMilePerHour (UErrorCode &status)
| Returns by pointer, unit of speed: mile-per-hour.
static MeasureUnit | getMilePerHour ()
| Returns by value, unit of speed: mile-per-hour.
static MeasureUnit * | createCelsius (UErrorCode &status)
| Returns by pointer, unit of temperature: celsius.
static MeasureUnit | getCelsius ()
| Returns by value, unit of temperature: celsius.
static MeasureUnit * | createFahrenheit (UErrorCode &status)
| Returns by pointer, unit of temperature: fahrenheit.
static MeasureUnit | getFahrenheit ()
| Returns by value, unit of temperature: fahrenheit.
static MeasureUnit * | createGenericTemperature (UErrorCode &status)
| Returns by pointer, unit of temperature: generic.
static MeasureUnit | getGenericTemperature ()
| Returns by value, unit of temperature: generic.
static MeasureUnit * | createKelvin (UErrorCode &status)
| Returns by pointer, unit of temperature: kelvin.
static MeasureUnit | getKelvin ()
| Returns by value, unit of temperature: kelvin.
static MeasureUnit * | createNewtonMeter (UErrorCode &status)
| Returns by pointer, unit of torque: newton-meter.
static MeasureUnit | getNewtonMeter ()
| Returns by value, unit of torque: newton-meter.
static MeasureUnit * | createPoundFoot (UErrorCode &status)
| Returns by pointer, unit of torque: pound-force-foot.
static MeasureUnit | getPoundFoot ()
| Returns by value, unit of torque: pound-force-foot.
static MeasureUnit * | createAcreFoot (UErrorCode &status)
| Returns by pointer, unit of volume: acre-foot.
static MeasureUnit | getAcreFoot ()
| Returns by value, unit of volume: acre-foot.
static MeasureUnit * | createBarrel (UErrorCode &status)
| Returns by pointer, unit of volume: barrel.
static MeasureUnit | getBarrel ()
| Returns by value, unit of volume: barrel.
static MeasureUnit * | createBushel (UErrorCode &status)
| Returns by pointer, unit of volume: bushel.
static MeasureUnit | getBushel ()
| Returns by value, unit of volume: bushel.
static MeasureUnit * | createCentiliter (UErrorCode &status)
| Returns by pointer, unit of volume: centiliter.
static MeasureUnit | getCentiliter ()
| Returns by value, unit of volume: centiliter.
static MeasureUnit * | createCubicCentimeter (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-centimeter.
static MeasureUnit | getCubicCentimeter ()
| Returns by value, unit of volume: cubic-centimeter.
static MeasureUnit * | createCubicFoot (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-foot.
static MeasureUnit | getCubicFoot ()
| Returns by value, unit of volume: cubic-foot.
static MeasureUnit * | createCubicInch (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-inch.
static MeasureUnit | getCubicInch ()
| Returns by value, unit of volume: cubic-inch.
static MeasureUnit * | createCubicKilometer (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-kilometer.
static MeasureUnit | getCubicKilometer ()
| Returns by value, unit of volume: cubic-kilometer.
static MeasureUnit * | createCubicMeter (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-meter.
static MeasureUnit | getCubicMeter ()
| Returns by value, unit of volume: cubic-meter.
static MeasureUnit * | createCubicMile (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-mile.
static MeasureUnit | getCubicMile ()
| Returns by value, unit of volume: cubic-mile.
static MeasureUnit * | createCubicYard (UErrorCode &status)
| Returns by pointer, unit of volume: cubic-yard.
static MeasureUnit | getCubicYard ()
| Returns by value, unit of volume: cubic-yard.
static MeasureUnit * | createCup (UErrorCode &status)
| Returns by pointer, unit of volume: cup.
static MeasureUnit | getCup ()
| Returns by value, unit of volume: cup.
static MeasureUnit * | createCupMetric (UErrorCode &status)
| Returns by pointer, unit of volume: cup-metric.
static MeasureUnit | getCupMetric ()
| Returns by value, unit of volume: cup-metric.
static MeasureUnit * | createDeciliter (UErrorCode &status)
| Returns by pointer, unit of volume: deciliter.
static MeasureUnit | getDeciliter ()
| Returns by value, unit of volume: deciliter.
static MeasureUnit * | createDessertSpoon (UErrorCode &status)
| Returns by pointer, unit of volume: dessert-spoon.
static MeasureUnit | getDessertSpoon ()
| Returns by value, unit of volume: dessert-spoon.
static MeasureUnit * | createDessertSpoonImperial (UErrorCode &status)
| Returns by pointer, unit of volume: dessert-spoon-imperial.
static MeasureUnit | getDessertSpoonImperial ()
| Returns by value, unit of volume: dessert-spoon-imperial.
static MeasureUnit * | createDram (UErrorCode &status)
| Returns by pointer, unit of volume: dram.
static MeasureUnit | getDram ()
| Returns by value, unit of volume: dram.
static MeasureUnit * | createDrop (UErrorCode &status)
| Returns by pointer, unit of volume: drop.
static MeasureUnit | getDrop ()
| Returns by value, unit of volume: drop.
static MeasureUnit * | createFluidOunce (UErrorCode &status)
| Returns by pointer, unit of volume: fluid-ounce.
static MeasureUnit | getFluidOunce ()
| Returns by value, unit of volume: fluid-ounce.
static MeasureUnit * | createFluidOunceImperial (UErrorCode &status)
| Returns by pointer, unit of volume: fluid-ounce-imperial.
static MeasureUnit | getFluidOunceImperial ()
| Returns by value, unit of volume: fluid-ounce-imperial.
static MeasureUnit * | createGallon (UErrorCode &status)
| Returns by pointer, unit of volume: gallon.
static MeasureUnit | getGallon ()
| Returns by value, unit of volume: gallon.
static MeasureUnit * | createGallonImperial (UErrorCode &status)
| Returns by pointer, unit of volume: gallon-imperial.
static MeasureUnit | getGallonImperial ()
| Returns by value, unit of volume: gallon-imperial.
static MeasureUnit * | createHectoliter (UErrorCode &status)
| Returns by pointer, unit of volume: hectoliter.
static MeasureUnit | getHectoliter ()
| Returns by value, unit of volume: hectoliter.
static MeasureUnit * | createJigger (UErrorCode &status)
| Returns by pointer, unit of volume: jigger.
static MeasureUnit | getJigger ()
| Returns by value, unit of volume: jigger.
static MeasureUnit * | createLiter (UErrorCode &status)
| Returns by pointer, unit of volume: liter.
static MeasureUnit | getLiter ()
| Returns by value, unit of volume: liter.
static MeasureUnit * | createMegaliter (UErrorCode &status)
| Returns by pointer, unit of volume: megaliter.
static MeasureUnit | getMegaliter ()
| Returns by value, unit of volume: megaliter.
static MeasureUnit * | createMilliliter (UErrorCode &status)
| Returns by pointer, unit of volume: milliliter.
static MeasureUnit | getMilliliter ()
| Returns by value, unit of volume: milliliter.
static MeasureUnit * | createPinch (UErrorCode &status)
| Returns by pointer, unit of volume: pinch.
static MeasureUnit | getPinch ()
| Returns by value, unit of volume: pinch.
static MeasureUnit * | createPint (UErrorCode &status)
| Returns by pointer, unit of volume: pint.
static MeasureUnit | getPint ()
| Returns by value, unit of volume: pint.
static MeasureUnit * | createPintMetric (UErrorCode &status)
| Returns by pointer, unit of volume: pint-metric.
static MeasureUnit | getPintMetric ()
| Returns by value, unit of volume: pint-metric.
static MeasureUnit * | createQuart (UErrorCode &status)
| Returns by pointer, unit of volume: quart.
static MeasureUnit | getQuart ()
| Returns by value, unit of volume: quart.
static MeasureUnit * | createQuartImperial (UErrorCode &status)
| Returns by pointer, unit of volume: quart-imperial.
static MeasureUnit | getQuartImperial ()
| Returns by value, unit of volume: quart-imperial.
static MeasureUnit * | createTablespoon (UErrorCode &status)
| Returns by pointer, unit of volume: tablespoon.
static MeasureUnit | getTablespoon ()
| Returns by value, unit of volume: tablespoon.
static MeasureUnit * | createTeaspoon (UErrorCode &status)
| Returns by pointer, unit of volume: teaspoon.
static MeasureUnit | getTeaspoon ()
| Returns by value, unit of volume: teaspoon.

## Protected Member Functions
void | initTime (const char *timeId)
| For ICU use only.
void | initCurrency (StringPiece isoCurrency)
| For ICU use only.

## Friends
class | MeasureUnitImpl
class | number::impl::LongNameHandler

## Detailed Description

A unit such as length, mass, volume, currency, etc.

A unit is coupled with a numeric amount to produce a Measure.

Author
  Alan Liu

Stable:
  ICU 3.0

Definition at line 369 of file measunit.h.

## Constructor & Destructor Documentation

## ◆ MeasureUnit() [1/3]

icu::MeasureUnit::MeasureUnit | ( |  | ) |

Default constructor.

Populates the instance with the base dimensionless unit, which means that there will be no unit on the formatted number.

Stable:
  ICU 3.0

## ◆ MeasureUnit() [2/3]

icu::MeasureUnit::MeasureUnit | ( | const MeasureUnit & | other | ) |

Copy constructor.

Stable:
  ICU 3.0

## ◆ MeasureUnit() [3/3]

icu::MeasureUnit::MeasureUnit | ( | MeasureUnit && | other | ) |
| noexcept

Move constructor.

Stable:
  ICU 67

## ◆ ~MeasureUnit()

virtual icu::MeasureUnit::~MeasureUnit | ( |  | ) |
| virtual

Destructor.

Stable:
  ICU 3.0

## Member Function Documentation

## ◆ clone()

virtual MeasureUnit * icu::MeasureUnit::clone | ( |  | ) | const
| virtual

Returns a polymorphic clone of this object.

The result will have the same class as returned by getDynamicClassID().

Stable:
  ICU 3.0

Reimplemented in icu::CurrencyUnit, and icu::TimeUnit.

## ◆ createAcre()

static MeasureUnit * icu::MeasureUnit::createAcre | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: acre.

Caller owns returned value and must free it. Also see `getAcre()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createAcreFoot()

static MeasureUnit * icu::MeasureUnit::createAcreFoot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: acre-foot.

Caller owns returned value and must free it. Also see `getAcreFoot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createAmpere()

static MeasureUnit * icu::MeasureUnit::createAmpere | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of electric: ampere.

Caller owns returned value and must free it. Also see `getAmpere()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createArcMinute()

static MeasureUnit * icu::MeasureUnit::createArcMinute | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of angle: arc-minute.

Caller owns returned value and must free it. Also see `getArcMinute()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createArcSecond()

static MeasureUnit * icu::MeasureUnit::createArcSecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of angle: arc-second.

Caller owns returned value and must free it. Also see `getArcSecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createAstronomicalUnit()

static MeasureUnit * icu::MeasureUnit::createAstronomicalUnit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: astronomical-unit.

Caller owns returned value and must free it. Also see `getAstronomicalUnit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createAtmosphere()

static MeasureUnit * icu::MeasureUnit::createAtmosphere | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: atmosphere.

Caller owns returned value and must free it. Also see `getAtmosphere()`.

Parameters

  status | ICU error code.

Stable:
  ICU 63

## ◆ createBar()

static MeasureUnit * icu::MeasureUnit::createBar | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: bar.

Caller owns returned value and must free it. Also see `getBar()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createBarrel()

static MeasureUnit * icu::MeasureUnit::createBarrel | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: barrel.

Caller owns returned value and must free it. Also see `getBarrel()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createBeaufort()

static MeasureUnit * icu::MeasureUnit::createBeaufort | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of speed: beaufort.

Caller owns returned value and must free it. Also see `getBeaufort()`.

Parameters

  status | ICU error code.

Draft:
  This API may be changed in the future versions and was introduced in ICU 73

## ◆ createBit()

static MeasureUnit * icu::MeasureUnit::createBit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: bit.

Caller owns returned value and must free it. Also see `getBit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createBritishThermalUnit()

static MeasureUnit * icu::MeasureUnit::createBritishThermalUnit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: british-thermal-unit.

Caller owns returned value and must free it. Also see `getBritishThermalUnit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createBushel()

static MeasureUnit * icu::MeasureUnit::createBushel | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: bushel.

Caller owns returned value and must free it. Also see `getBushel()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createByte()

static MeasureUnit * icu::MeasureUnit::createByte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: byte.

Caller owns returned value and must free it. Also see `getByte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCalorie()

static MeasureUnit * icu::MeasureUnit::createCalorie | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: calorie.

Caller owns returned value and must free it. Also see `getCalorie()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCandela()

static MeasureUnit * icu::MeasureUnit::createCandela | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of light: candela.

Caller owns returned value and must free it. Also see `getCandela()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createCarat()

static MeasureUnit * icu::MeasureUnit::createCarat | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: carat.

Caller owns returned value and must free it. Also see `getCarat()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCelsius()

static MeasureUnit * icu::MeasureUnit::createCelsius | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of temperature: celsius.

Caller owns returned value and must free it. Also see `getCelsius()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createCentiliter()

static MeasureUnit * icu::MeasureUnit::createCentiliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: centiliter.

Caller owns returned value and must free it. Also see `getCentiliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCentimeter()

static MeasureUnit * icu::MeasureUnit::createCentimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: centimeter.

Caller owns returned value and must free it. Also see `getCentimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createCentury()

static MeasureUnit * icu::MeasureUnit::createCentury | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: century.

Caller owns returned value and must free it. Also see `getCentury()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createCubicCentimeter()

static MeasureUnit * icu::MeasureUnit::createCubicCentimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-centimeter.

Caller owns returned value and must free it. Also see `getCubicCentimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCubicFoot()

static MeasureUnit * icu::MeasureUnit::createCubicFoot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-foot.

Caller owns returned value and must free it. Also see `getCubicFoot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCubicInch()

static MeasureUnit * icu::MeasureUnit::createCubicInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-inch.

Caller owns returned value and must free it. Also see `getCubicInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCubicKilometer()

static MeasureUnit * icu::MeasureUnit::createCubicKilometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-kilometer.

Caller owns returned value and must free it. Also see `getCubicKilometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createCubicMeter()

static MeasureUnit * icu::MeasureUnit::createCubicMeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-meter.

Caller owns returned value and must free it. Also see `getCubicMeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCubicMile()

static MeasureUnit * icu::MeasureUnit::createCubicMile | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-mile.

Caller owns returned value and must free it. Also see `getCubicMile()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createCubicYard()

static MeasureUnit * icu::MeasureUnit::createCubicYard | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cubic-yard.

Caller owns returned value and must free it. Also see `getCubicYard()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCup()

static MeasureUnit * icu::MeasureUnit::createCup | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cup.

Caller owns returned value and must free it. Also see `getCup()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createCupMetric()

static MeasureUnit * icu::MeasureUnit::createCupMetric | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: cup-metric.

Caller owns returned value and must free it. Also see `getCupMetric()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createDalton()

static MeasureUnit * icu::MeasureUnit::createDalton | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: dalton.

Caller owns returned value and must free it. Also see `getDalton()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createDay()

static MeasureUnit * icu::MeasureUnit::createDay | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: day.

Caller owns returned value and must free it. Also see `getDay()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createDayPerson()

static MeasureUnit * icu::MeasureUnit::createDayPerson | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: day-person.

Caller owns returned value and must free it. Also see `getDayPerson()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createDecade()

static MeasureUnit * icu::MeasureUnit::createDecade | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: decade.

Caller owns returned value and must free it. Also see `getDecade()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createDeciliter()

static MeasureUnit * icu::MeasureUnit::createDeciliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: deciliter.

Caller owns returned value and must free it. Also see `getDeciliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createDecimeter()

static MeasureUnit * icu::MeasureUnit::createDecimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: decimeter.

Caller owns returned value and must free it. Also see `getDecimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createDegree()

static MeasureUnit * icu::MeasureUnit::createDegree | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of angle: degree.

Caller owns returned value and must free it. Also see `getDegree()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createDessertSpoon()

static MeasureUnit * icu::MeasureUnit::createDessertSpoon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: dessert-spoon.

Caller owns returned value and must free it. Also see `getDessertSpoon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createDessertSpoonImperial()

static MeasureUnit * icu::MeasureUnit::createDessertSpoonImperial | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: dessert-spoon-imperial.

Caller owns returned value and must free it. Also see `getDessertSpoonImperial()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createDot()

static MeasureUnit * icu::MeasureUnit::createDot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: dot.

Caller owns returned value and must free it. Also see `getDot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createDotPerCentimeter()

static MeasureUnit * icu::MeasureUnit::createDotPerCentimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: dot-per-centimeter.

Caller owns returned value and must free it. Also see `getDotPerCentimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createDotPerInch()

static MeasureUnit * icu::MeasureUnit::createDotPerInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: dot-per-inch.

Caller owns returned value and must free it. Also see `getDotPerInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createDram()

static MeasureUnit * icu::MeasureUnit::createDram | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: dram.

Caller owns returned value and must free it. Also see `getDram()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createDrop()

static MeasureUnit * icu::MeasureUnit::createDrop | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: drop.

Caller owns returned value and must free it. Also see `getDrop()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createDunam()

static MeasureUnit * icu::MeasureUnit::createDunam | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: dunam.

Caller owns returned value and must free it. Also see `getDunam()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createEarthMass()

static MeasureUnit * icu::MeasureUnit::createEarthMass | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: earth-mass.

Caller owns returned value and must free it. Also see `getEarthMass()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createEarthRadius()

static MeasureUnit * icu::MeasureUnit::createEarthRadius | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: earth-radius.

Caller owns returned value and must free it. Also see `getEarthRadius()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createElectronvolt()

static MeasureUnit * icu::MeasureUnit::createElectronvolt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: electronvolt.

Caller owns returned value and must free it. Also see `getElectronvolt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createEm()

static MeasureUnit * icu::MeasureUnit::createEm | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: em.

Caller owns returned value and must free it. Also see `getEm()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createFahrenheit()

static MeasureUnit * icu::MeasureUnit::createFahrenheit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of temperature: fahrenheit.

Caller owns returned value and must free it. Also see `getFahrenheit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createFathom()

static MeasureUnit * icu::MeasureUnit::createFathom | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: fathom.

Caller owns returned value and must free it. Also see `getFathom()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createFluidOunce()

static MeasureUnit * icu::MeasureUnit::createFluidOunce | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: fluid-ounce.

Caller owns returned value and must free it. Also see `getFluidOunce()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createFluidOunceImperial()

static MeasureUnit * icu::MeasureUnit::createFluidOunceImperial | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: fluid-ounce-imperial.

Caller owns returned value and must free it. Also see `getFluidOunceImperial()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createFoodcalorie()

static MeasureUnit * icu::MeasureUnit::createFoodcalorie | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: foodcalorie.

Caller owns returned value and must free it. Also see `getFoodcalorie()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createFoot()

static MeasureUnit * icu::MeasureUnit::createFoot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: foot.

Caller owns returned value and must free it. Also see `getFoot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createFurlong()

static MeasureUnit * icu::MeasureUnit::createFurlong | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: furlong.

Caller owns returned value and must free it. Also see `getFurlong()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGallon()

static MeasureUnit * icu::MeasureUnit::createGallon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: gallon.

Caller owns returned value and must free it. Also see `getGallon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGallonImperial()

static MeasureUnit * icu::MeasureUnit::createGallonImperial | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: gallon-imperial.

Caller owns returned value and must free it. Also see `getGallonImperial()`.

Parameters

  status | ICU error code.

Stable:
  ICU 57

## ◆ createGasolineEnergyDensity()

static MeasureUnit * icu::MeasureUnit::createGasolineEnergyDensity | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: gasoline-energy-density.

Caller owns returned value and must free it. Also see `getGasolineEnergyDensity()`.

Parameters

  status | ICU error code.

Draft:
  This API may be changed in the future versions and was introduced in ICU 74

## ◆ createGenericTemperature()

static MeasureUnit * icu::MeasureUnit::createGenericTemperature | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of temperature: generic.

Caller owns returned value and must free it. Also see `getGenericTemperature()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createGForce()

static MeasureUnit * icu::MeasureUnit::createGForce | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of acceleration: g-force.

Caller owns returned value and must free it. Also see `getGForce()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createGigabit()

static MeasureUnit * icu::MeasureUnit::createGigabit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: gigabit.

Caller owns returned value and must free it. Also see `getGigabit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGigabyte()

static MeasureUnit * icu::MeasureUnit::createGigabyte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: gigabyte.

Caller owns returned value and must free it. Also see `getGigabyte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGigahertz()

static MeasureUnit * icu::MeasureUnit::createGigahertz | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of frequency: gigahertz.

Caller owns returned value and must free it. Also see `getGigahertz()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGigawatt()

static MeasureUnit * icu::MeasureUnit::createGigawatt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: gigawatt.

Caller owns returned value and must free it. Also see `getGigawatt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createGrain()

static MeasureUnit * icu::MeasureUnit::createGrain | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: grain.

Caller owns returned value and must free it. Also see `getGrain()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createGram()

static MeasureUnit * icu::MeasureUnit::createGram | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: gram.

Caller owns returned value and must free it. Also see `getGram()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createHectare()

static MeasureUnit * icu::MeasureUnit::createHectare | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: hectare.

Caller owns returned value and must free it. Also see `getHectare()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createHectoliter()

static MeasureUnit * icu::MeasureUnit::createHectoliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: hectoliter.

Caller owns returned value and must free it. Also see `getHectoliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createHectopascal()

static MeasureUnit * icu::MeasureUnit::createHectopascal | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: hectopascal.

Caller owns returned value and must free it. Also see `getHectopascal()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createHertz()

static MeasureUnit * icu::MeasureUnit::createHertz | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of frequency: hertz.

Caller owns returned value and must free it. Also see `getHertz()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createHorsepower()

static MeasureUnit * icu::MeasureUnit::createHorsepower | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: horsepower.

Caller owns returned value and must free it. Also see `getHorsepower()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createHour()

static MeasureUnit * icu::MeasureUnit::createHour | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: hour.

Caller owns returned value and must free it. Also see `getHour()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createInch()

static MeasureUnit * icu::MeasureUnit::createInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: inch.

Caller owns returned value and must free it. Also see `getInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createInchHg()

static MeasureUnit * icu::MeasureUnit::createInchHg | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: inch-ofhg.

Caller owns returned value and must free it. Also see `getInchHg()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createItem()

static MeasureUnit * icu::MeasureUnit::createItem | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: item.

Caller owns returned value and must free it. Also see `getItem()`.

Parameters

  status | ICU error code.

Stable:
  ICU 70

## ◆ createJigger()

static MeasureUnit * icu::MeasureUnit::createJigger | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: jigger.

Caller owns returned value and must free it. Also see `getJigger()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createJoule()

static MeasureUnit * icu::MeasureUnit::createJoule | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: joule.

Caller owns returned value and must free it. Also see `getJoule()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKarat()

static MeasureUnit * icu::MeasureUnit::createKarat | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: karat.

Caller owns returned value and must free it. Also see `getKarat()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKelvin()

static MeasureUnit * icu::MeasureUnit::createKelvin | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of temperature: kelvin.

Caller owns returned value and must free it. Also see `getKelvin()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilobit()

static MeasureUnit * icu::MeasureUnit::createKilobit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: kilobit.

Caller owns returned value and must free it. Also see `getKilobit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilobyte()

static MeasureUnit * icu::MeasureUnit::createKilobyte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: kilobyte.

Caller owns returned value and must free it. Also see `getKilobyte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilocalorie()

static MeasureUnit * icu::MeasureUnit::createKilocalorie | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: kilocalorie.

Caller owns returned value and must free it. Also see `getKilocalorie()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilogram()

static MeasureUnit * icu::MeasureUnit::createKilogram | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: kilogram.

Caller owns returned value and must free it. Also see `getKilogram()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createKilohertz()

static MeasureUnit * icu::MeasureUnit::createKilohertz | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of frequency: kilohertz.

Caller owns returned value and must free it. Also see `getKilohertz()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilojoule()

static MeasureUnit * icu::MeasureUnit::createKilojoule | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: kilojoule.

Caller owns returned value and must free it. Also see `getKilojoule()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilometer()

static MeasureUnit * icu::MeasureUnit::createKilometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: kilometer.

Caller owns returned value and must free it. Also see `getKilometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createKilometerPerHour()

static MeasureUnit * icu::MeasureUnit::createKilometerPerHour | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of speed: kilometer-per-hour.

Caller owns returned value and must free it. Also see `getKilometerPerHour()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createKilopascal()

static MeasureUnit * icu::MeasureUnit::createKilopascal | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: kilopascal.

Caller owns returned value and must free it. Also see `getKilopascal()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createKilowatt()

static MeasureUnit * icu::MeasureUnit::createKilowatt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: kilowatt.

Caller owns returned value and must free it. Also see `getKilowatt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createKilowattHour()

static MeasureUnit * icu::MeasureUnit::createKilowattHour | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: kilowatt-hour.

Caller owns returned value and must free it. Also see `getKilowattHour()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createKilowattHourPer100Kilometer()

static MeasureUnit * icu::MeasureUnit::createKilowattHourPer100Kilometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of force: kilowatt-hour-per-100-kilometer.

Caller owns returned value and must free it. Also see `getKilowattHourPer100Kilometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 70

## ◆ createKnot()

static MeasureUnit * icu::MeasureUnit::createKnot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of speed: knot.

Caller owns returned value and must free it. Also see `getKnot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createLightYear()

static MeasureUnit * icu::MeasureUnit::createLightYear | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: light-year.

Caller owns returned value and must free it. Also see `getLightYear()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createLiter()

static MeasureUnit * icu::MeasureUnit::createLiter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: liter.

Caller owns returned value and must free it. Also see `getLiter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createLiterPer100Kilometers()

static MeasureUnit * icu::MeasureUnit::createLiterPer100Kilometers | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of consumption: liter-per-100-kilometer.

Caller owns returned value and must free it. Also see `getLiterPer100Kilometers()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createLiterPerKilometer()

static MeasureUnit * icu::MeasureUnit::createLiterPerKilometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of consumption: liter-per-kilometer.

Caller owns returned value and must free it. Also see `getLiterPerKilometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createLumen()

static MeasureUnit * icu::MeasureUnit::createLumen | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of light: lumen.

Caller owns returned value and must free it. Also see `getLumen()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createLux()

static MeasureUnit * icu::MeasureUnit::createLux | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of light: lux.

Caller owns returned value and must free it. Also see `getLux()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMegabit()

static MeasureUnit * icu::MeasureUnit::createMegabit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: megabit.

Caller owns returned value and must free it. Also see `getMegabit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMegabyte()

static MeasureUnit * icu::MeasureUnit::createMegabyte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: megabyte.

Caller owns returned value and must free it. Also see `getMegabyte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMegahertz()

static MeasureUnit * icu::MeasureUnit::createMegahertz | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of frequency: megahertz.

Caller owns returned value and must free it. Also see `getMegahertz()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMegaliter()

static MeasureUnit * icu::MeasureUnit::createMegaliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: megaliter.

Caller owns returned value and must free it. Also see `getMegaliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMegapascal()

static MeasureUnit * icu::MeasureUnit::createMegapascal | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: megapascal.

Caller owns returned value and must free it. Also see `getMegapascal()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createMegapixel()

static MeasureUnit * icu::MeasureUnit::createMegapixel | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: megapixel.

Caller owns returned value and must free it. Also see `getMegapixel()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createMegawatt()

static MeasureUnit * icu::MeasureUnit::createMegawatt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: megawatt.

Caller owns returned value and must free it. Also see `getMegawatt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMeter()

static MeasureUnit * icu::MeasureUnit::createMeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: meter.

Caller owns returned value and must free it. Also see `getMeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMeterPerSecond()

static MeasureUnit * icu::MeasureUnit::createMeterPerSecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of speed: meter-per-second.

Caller owns returned value and must free it. Also see `getMeterPerSecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMeterPerSecondSquared()

static MeasureUnit * icu::MeasureUnit::createMeterPerSecondSquared | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of acceleration: meter-per-square-second.

Caller owns returned value and must free it. Also see `getMeterPerSecondSquared()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMetricTon()

static MeasureUnit * icu::MeasureUnit::createMetricTon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: metric-ton (renamed to tonne in CLDR 42 / ICU 72).

Caller owns returned value and must free it. Note: In ICU 74 this will be deprecated in favor of createTonne(), which is currently draft but will become stable in ICU 74, and which uses the preferred naming. Also see `getMetricTon()` and `createTonne()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMicrogram()

static MeasureUnit * icu::MeasureUnit::createMicrogram | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: microgram.

Caller owns returned value and must free it. Also see `getMicrogram()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMicrometer()

static MeasureUnit * icu::MeasureUnit::createMicrometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: micrometer.

Caller owns returned value and must free it. Also see `getMicrometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMicrosecond()

static MeasureUnit * icu::MeasureUnit::createMicrosecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: microsecond.

Caller owns returned value and must free it. Also see `getMicrosecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMile()

static MeasureUnit * icu::MeasureUnit::createMile | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: mile.

Caller owns returned value and must free it. Also see `getMile()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMilePerGallon()

static MeasureUnit * icu::MeasureUnit::createMilePerGallon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of consumption: mile-per-gallon.

Caller owns returned value and must free it. Also see `getMilePerGallon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMilePerGallonImperial()

static MeasureUnit * icu::MeasureUnit::createMilePerGallonImperial | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of consumption: mile-per-gallon-imperial.

Caller owns returned value and must free it. Also see `getMilePerGallonImperial()`.

Parameters

  status | ICU error code.

Stable:
  ICU 57

## ◆ createMilePerHour()

static MeasureUnit * icu::MeasureUnit::createMilePerHour | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of speed: mile-per-hour.

Caller owns returned value and must free it. Also see `getMilePerHour()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMileScandinavian()

static MeasureUnit * icu::MeasureUnit::createMileScandinavian | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: mile-scandinavian.

Caller owns returned value and must free it. Also see `getMileScandinavian()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createMilliampere()

static MeasureUnit * icu::MeasureUnit::createMilliampere | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of electric: milliampere.

Caller owns returned value and must free it. Also see `getMilliampere()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMillibar()

static MeasureUnit * icu::MeasureUnit::createMillibar | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: millibar.

Caller owns returned value and must free it. Also see `getMillibar()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMilligram()

static MeasureUnit * icu::MeasureUnit::createMilligram | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: milligram.

Caller owns returned value and must free it. Also see `getMilligram()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMilligramOfglucosePerDeciliter()

static MeasureUnit * icu::MeasureUnit::createMilligramOfglucosePerDeciliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: milligram-ofglucose-per-deciliter.

Caller owns returned value and must free it. Also see `getMilligramOfglucosePerDeciliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 69

## ◆ createMilligramPerDeciliter()

static MeasureUnit * icu::MeasureUnit::createMilligramPerDeciliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: milligram-per-deciliter.

Caller owns returned value and must free it. Also see `getMilligramPerDeciliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 57

## ◆ createMilliliter()

static MeasureUnit * icu::MeasureUnit::createMilliliter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: milliliter.

Caller owns returned value and must free it. Also see `getMilliliter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMillimeter()

static MeasureUnit * icu::MeasureUnit::createMillimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: millimeter.

Caller owns returned value and must free it. Also see `getMillimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMillimeterOfMercury()

static MeasureUnit * icu::MeasureUnit::createMillimeterOfMercury | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: millimeter-ofhg.

Caller owns returned value and must free it. Also see `getMillimeterOfMercury()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMillimolePerLiter()

static MeasureUnit * icu::MeasureUnit::createMillimolePerLiter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: millimole-per-liter.

Caller owns returned value and must free it. Also see `getMillimolePerLiter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 57

## ◆ createMillisecond()

static MeasureUnit * icu::MeasureUnit::createMillisecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: millisecond.

Caller owns returned value and must free it. Also see `getMillisecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMilliwatt()

static MeasureUnit * icu::MeasureUnit::createMilliwatt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: milliwatt.

Caller owns returned value and must free it. Also see `getMilliwatt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createMinute()

static MeasureUnit * icu::MeasureUnit::createMinute | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: minute.

Caller owns returned value and must free it. Also see `getMinute()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMole()

static MeasureUnit * icu::MeasureUnit::createMole | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: mole.

Caller owns returned value and must free it. Also see `getMole()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createMonth()

static MeasureUnit * icu::MeasureUnit::createMonth | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: month.

Caller owns returned value and must free it. Also see `getMonth()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createMonthPerson()

static MeasureUnit * icu::MeasureUnit::createMonthPerson | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: month-person.

Caller owns returned value and must free it. Also see `getMonthPerson()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createNanometer()

static MeasureUnit * icu::MeasureUnit::createNanometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: nanometer.

Caller owns returned value and must free it. Also see `getNanometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createNanosecond()

static MeasureUnit * icu::MeasureUnit::createNanosecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: nanosecond.

Caller owns returned value and must free it. Also see `getNanosecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createNauticalMile()

static MeasureUnit * icu::MeasureUnit::createNauticalMile | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: nautical-mile.

Caller owns returned value and must free it. Also see `getNauticalMile()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createNewton()

static MeasureUnit * icu::MeasureUnit::createNewton | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of force: newton.

Caller owns returned value and must free it. Also see `getNewton()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createNewtonMeter()

static MeasureUnit * icu::MeasureUnit::createNewtonMeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of torque: newton-meter.

Caller owns returned value and must free it. Also see `getNewtonMeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createOhm()

static MeasureUnit * icu::MeasureUnit::createOhm | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of electric: ohm.

Caller owns returned value and must free it. Also see `getOhm()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createOunce()

static MeasureUnit * icu::MeasureUnit::createOunce | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: ounce.

Caller owns returned value and must free it. Also see `getOunce()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createOunceTroy()

static MeasureUnit * icu::MeasureUnit::createOunceTroy | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: ounce-troy.

Caller owns returned value and must free it. Also see `getOunceTroy()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createParsec()

static MeasureUnit * icu::MeasureUnit::createParsec | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: parsec.

Caller owns returned value and must free it. Also see `getParsec()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createPartPerMillion()

static MeasureUnit * icu::MeasureUnit::createPartPerMillion | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: permillion.

Caller owns returned value and must free it. Also see `getPartPerMillion()`.

Parameters

  status | ICU error code.

Stable:
  ICU 57

## ◆ createPascal()

static MeasureUnit * icu::MeasureUnit::createPascal | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: pascal.

Caller owns returned value and must free it. Also see `getPascal()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createPercent()

static MeasureUnit * icu::MeasureUnit::createPercent | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: percent.

Caller owns returned value and must free it. Also see `getPercent()`.

Parameters

  status | ICU error code.

Stable:
  ICU 63

## ◆ createPermille()

static MeasureUnit * icu::MeasureUnit::createPermille | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: permille.

Caller owns returned value and must free it. Also see `getPermille()`.

Parameters

  status | ICU error code.

Stable:
  ICU 63

## ◆ createPermyriad()

static MeasureUnit * icu::MeasureUnit::createPermyriad | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of concentr: permyriad.

Caller owns returned value and must free it. Also see `getPermyriad()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createPetabyte()

static MeasureUnit * icu::MeasureUnit::createPetabyte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: petabyte.

Caller owns returned value and must free it. Also see `getPetabyte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 63

## ◆ createPicometer()

static MeasureUnit * icu::MeasureUnit::createPicometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: picometer.

Caller owns returned value and must free it. Also see `getPicometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createPinch()

static MeasureUnit * icu::MeasureUnit::createPinch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: pinch.

Caller owns returned value and must free it. Also see `getPinch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createPint()

static MeasureUnit * icu::MeasureUnit::createPint | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: pint.

Caller owns returned value and must free it. Also see `getPint()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createPintMetric()

static MeasureUnit * icu::MeasureUnit::createPintMetric | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: pint-metric.

Caller owns returned value and must free it. Also see `getPintMetric()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createPixel()

static MeasureUnit * icu::MeasureUnit::createPixel | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: pixel.

Caller owns returned value and must free it. Also see `getPixel()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createPixelPerCentimeter()

static MeasureUnit * icu::MeasureUnit::createPixelPerCentimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: pixel-per-centimeter.

Caller owns returned value and must free it. Also see `getPixelPerCentimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createPixelPerInch()

static MeasureUnit * icu::MeasureUnit::createPixelPerInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of graphics: pixel-per-inch.

Caller owns returned value and must free it. Also see `getPixelPerInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createPoint()

static MeasureUnit * icu::MeasureUnit::createPoint | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: point.

Caller owns returned value and must free it. Also see `getPoint()`.

Parameters

  status | ICU error code.

Stable:
  ICU 59

## ◆ createPound()

static MeasureUnit * icu::MeasureUnit::createPound | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: pound.

Caller owns returned value and must free it. Also see `getPound()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createPoundFoot()

static MeasureUnit * icu::MeasureUnit::createPoundFoot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of torque: pound-force-foot.

Caller owns returned value and must free it. Also see `getPoundFoot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createPoundForce()

static MeasureUnit * icu::MeasureUnit::createPoundForce | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of force: pound-force.

Caller owns returned value and must free it. Also see `getPoundForce()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createPoundPerSquareInch()

static MeasureUnit * icu::MeasureUnit::createPoundPerSquareInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of pressure: pound-force-per-square-inch.

Caller owns returned value and must free it. Also see `getPoundPerSquareInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createQuart()

static MeasureUnit * icu::MeasureUnit::createQuart | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: quart.

Caller owns returned value and must free it. Also see `getQuart()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createQuarter()

static MeasureUnit * icu::MeasureUnit::createQuarter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: quarter.

Caller owns returned value and must free it. Also see `getQuarter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 72

## ◆ createQuartImperial()

static MeasureUnit * icu::MeasureUnit::createQuartImperial | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: quart-imperial.

Caller owns returned value and must free it. Also see `getQuartImperial()`.

Parameters

  status | ICU error code.

Stable:
  ICU 68

## ◆ createRadian()

static MeasureUnit * icu::MeasureUnit::createRadian | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of angle: radian.

Caller owns returned value and must free it. Also see `getRadian()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createRevolutionAngle()

static MeasureUnit * icu::MeasureUnit::createRevolutionAngle | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of angle: revolution.

Caller owns returned value and must free it. Also see `getRevolutionAngle()`.

Parameters

  status | ICU error code.

Stable:
  ICU 56

## ◆ createSecond()

static MeasureUnit * icu::MeasureUnit::createSecond | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: second.

Caller owns returned value and must free it. Also see `getSecond()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createSolarLuminosity()

static MeasureUnit * icu::MeasureUnit::createSolarLuminosity | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of light: solar-luminosity.

Caller owns returned value and must free it. Also see `getSolarLuminosity()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createSolarMass()

static MeasureUnit * icu::MeasureUnit::createSolarMass | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: solar-mass.

Caller owns returned value and must free it. Also see `getSolarMass()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createSolarRadius()

static MeasureUnit * icu::MeasureUnit::createSolarRadius | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: solar-radius.

Caller owns returned value and must free it. Also see `getSolarRadius()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createSquareCentimeter()

static MeasureUnit * icu::MeasureUnit::createSquareCentimeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-centimeter.

Caller owns returned value and must free it. Also see `getSquareCentimeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createSquareFoot()

static MeasureUnit * icu::MeasureUnit::createSquareFoot | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-foot.

Caller owns returned value and must free it. Also see `getSquareFoot()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createSquareInch()

static MeasureUnit * icu::MeasureUnit::createSquareInch | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-inch.

Caller owns returned value and must free it. Also see `getSquareInch()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createSquareKilometer()

static MeasureUnit * icu::MeasureUnit::createSquareKilometer | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-kilometer.

Caller owns returned value and must free it. Also see `getSquareKilometer()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createSquareMeter()

static MeasureUnit * icu::MeasureUnit::createSquareMeter | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-meter.

Caller owns returned value and must free it. Also see `getSquareMeter()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createSquareMile()

static MeasureUnit * icu::MeasureUnit::createSquareMile | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-mile.

Caller owns returned value and must free it. Also see `getSquareMile()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createSquareYard()

static MeasureUnit * icu::MeasureUnit::createSquareYard | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of area: square-yard.

Caller owns returned value and must free it. Also see `getSquareYard()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createStone()

static MeasureUnit * icu::MeasureUnit::createStone | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: stone.

Caller owns returned value and must free it. Also see `getStone()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createTablespoon()

static MeasureUnit * icu::MeasureUnit::createTablespoon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: tablespoon.

Caller owns returned value and must free it. Also see `getTablespoon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createTeaspoon()

static MeasureUnit * icu::MeasureUnit::createTeaspoon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of volume: teaspoon.

Caller owns returned value and must free it. Also see `getTeaspoon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createTerabit()

static MeasureUnit * icu::MeasureUnit::createTerabit | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: terabit.

Caller owns returned value and must free it. Also see `getTerabit()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createTerabyte()

static MeasureUnit * icu::MeasureUnit::createTerabyte | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of digital: terabyte.

Caller owns returned value and must free it. Also see `getTerabyte()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createThermUs()

static MeasureUnit * icu::MeasureUnit::createThermUs | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of energy: therm-us.

Caller owns returned value and must free it. Also see `getThermUs()`.

Parameters

  status | ICU error code.

Stable:
  ICU 65

## ◆ createTon()

static MeasureUnit * icu::MeasureUnit::createTon | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: ton.

Caller owns returned value and must free it. Also see `getTon()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createTonne()

static MeasureUnit * icu::MeasureUnit::createTonne | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of mass: tonne.

Caller owns returned value and must free it. Also see `getTonne()`.

Parameters

  status | ICU error code.

Stable:
  ICU 72

## ◆ createVolt()

static MeasureUnit * icu::MeasureUnit::createVolt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of electric: volt.

Caller owns returned value and must free it. Also see `getVolt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 54

## ◆ createWatt()

static MeasureUnit * icu::MeasureUnit::createWatt | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of power: watt.

Caller owns returned value and must free it. Also see `getWatt()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createWeek()

static MeasureUnit * icu::MeasureUnit::createWeek | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: week.

Caller owns returned value and must free it. Also see `getWeek()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createWeekPerson()

static MeasureUnit * icu::MeasureUnit::createWeekPerson | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: week-person.

Caller owns returned value and must free it. Also see `getWeekPerson()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ createYard()

static MeasureUnit * icu::MeasureUnit::createYard | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of length: yard.

Caller owns returned value and must free it. Also see `getYard()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createYear()

static MeasureUnit * icu::MeasureUnit::createYear | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: year.

Caller owns returned value and must free it. Also see `getYear()`.

Parameters

  status | ICU error code.

Stable:
  ICU 53

## ◆ createYearPerson()

static MeasureUnit * icu::MeasureUnit::createYearPerson | ( | UErrorCode & | status | ) |
| static

Returns by pointer, unit of duration: year-person.

Caller owns returned value and must free it. Also see `getYearPerson()`.

Parameters

  status | ICU error code.

Stable:
  ICU 64

## ◆ forIdentifier()

static MeasureUnit icu::MeasureUnit::forIdentifier | ( | StringPiece | identifier,
|  | UErrorCode & | status
| ) |  |
| static

Construct a MeasureUnit from a CLDR Core Unit Identifier, defined in UTS.

1. (Core unit identifiers and mixed unit identifiers are supported, long unit identifiers are not.) Validates and canonicalizes the identifier.

    MeasureUnit example = MeasureUnit::forIdentifier("furlong-per-nanosecond")

Parameters

  identifier | The CLDR Unit Identifier.
  status | Set if the identifier is invalid.

Stable:
  ICU 67

## ◆ getAcre()

static MeasureUnit icu::MeasureUnit::getAcre | ( |  | ) |
| static

Returns by value, unit of area: acre.

Also see `createAcre()`.

Stable:
  ICU 64

## ◆ getAcreFoot()

static MeasureUnit icu::MeasureUnit::getAcreFoot | ( |  | ) |
| static

Returns by value, unit of volume: acre-foot.

Also see `createAcreFoot()`.

Stable:
  ICU 64

## ◆ getAmpere()

static MeasureUnit icu::MeasureUnit::getAmpere | ( |  | ) |
| static

Returns by value, unit of electric: ampere.

Also see `createAmpere()`.

Stable:
  ICU 64

## ◆ getArcMinute()

static MeasureUnit icu::MeasureUnit::getArcMinute | ( |  | ) |
| static

Returns by value, unit of angle: arc-minute.

Also see `createArcMinute()`.

Stable:
  ICU 64

## ◆ getArcSecond()

static MeasureUnit icu::MeasureUnit::getArcSecond | ( |  | ) |
| static

Returns by value, unit of angle: arc-second.

Also see `createArcSecond()`.

Stable:
  ICU 64

## ◆ getAstronomicalUnit()

static MeasureUnit icu::MeasureUnit::getAstronomicalUnit | ( |  | ) |
| static

Returns by value, unit of length: astronomical-unit.

Also see `createAstronomicalUnit()`.

Stable:
  ICU 64

## ◆ getAtmosphere()

static MeasureUnit icu::MeasureUnit::getAtmosphere | ( |  | ) |
| static

Returns by value, unit of pressure: atmosphere.

Also see `createAtmosphere()`.

Stable:
  ICU 64

## ◆ getAvailable() [1/2]

static int32_t icu::MeasureUnit::getAvailable | ( | const char * | type,
|  | MeasureUnit * | destArray,
|  | int32_t | destCapacity,
|  | UErrorCode & | errorCode
| ) |  |
| static

getAvailable gets all of the available units for a specific type.

If there are too many units to fit into destCapacity then the error code is set to U_BUFFER_OVERFLOW_ERROR.

Parameters

  type | the type
  destArray | destination buffer.
  destCapacity | number of MeasureUnit instances available at dest.
  errorCode | ICU error code.

Returns
  number of available units for type.

Stable:
  ICU 53

## ◆ getAvailable() [2/2]

static int32_t icu::MeasureUnit::getAvailable | ( | MeasureUnit * | destArray,
|  | int32_t | destCapacity,
|  | UErrorCode & | errorCode
| ) |  |
| static

getAvailable gets all of the available units.

If there are too many units to fit into destCapacity then the error code is set to U_BUFFER_OVERFLOW_ERROR.

Parameters

  destArray | destination buffer.
  destCapacity | number of MeasureUnit instances available at dest.
  errorCode | ICU error code.

Returns
  number of available units.

Stable:
  ICU 53

## ◆ getAvailableTypes()

static StringEnumeration * icu::MeasureUnit::getAvailableTypes | ( | UErrorCode & | errorCode | ) |
| static

getAvailableTypes gets all of the available types.

Caller owns the returned StringEnumeration and must delete it when finished using it.

Parameters

  errorCode | ICU error code.

Returns
  the types.

Stable:
  ICU 53

## ◆ getBar()

static MeasureUnit icu::MeasureUnit::getBar | ( |  | ) |
| static

Returns by value, unit of pressure: bar.

Also see `createBar()`.

Stable:
  ICU 65

## ◆ getBarrel()

static MeasureUnit icu::MeasureUnit::getBarrel | ( |  | ) |
| static

Returns by value, unit of volume: barrel.

Also see `createBarrel()`.

Stable:
  ICU 64

## ◆ getBeaufort()

static MeasureUnit icu::MeasureUnit::getBeaufort | ( |  | ) |
| static

Returns by value, unit of speed: beaufort.

Also see `createBeaufort()`.

Draft:
  This API may be changed in the future versions and was introduced in ICU 73

## ◆ getBit()

static MeasureUnit icu::MeasureUnit::getBit | ( |  | ) |
| static

Returns by value, unit of digital: bit.

Also see `createBit()`.

Stable:
  ICU 64

## ◆ getBritishThermalUnit()

static MeasureUnit icu::MeasureUnit::getBritishThermalUnit | ( |  | ) |
| static

Returns by value, unit of energy: british-thermal-unit.

Also see `createBritishThermalUnit()`.

Stable:
  ICU 64

## ◆ getBushel()

static MeasureUnit icu::MeasureUnit::getBushel | ( |  | ) |
| static

Returns by value, unit of volume: bushel.

Also see `createBushel()`.

Stable:
  ICU 64

## ◆ getByte()

static MeasureUnit icu::MeasureUnit::getByte | ( |  | ) |
| static

Returns by value, unit of digital: byte.

Also see `createByte()`.

Stable:
  ICU 64

## ◆ getCalorie()

static MeasureUnit icu::MeasureUnit::getCalorie | ( |  | ) |
| static

Returns by value, unit of energy: calorie.

Also see `createCalorie()`.

Stable:
  ICU 64

## ◆ getCandela()

static MeasureUnit icu::MeasureUnit::getCandela | ( |  | ) |
| static

Returns by value, unit of light: candela.

Also see `createCandela()`.

Stable:
  ICU 68

## ◆ getCarat()

static MeasureUnit icu::MeasureUnit::getCarat | ( |  | ) |
| static

Returns by value, unit of mass: carat.

Also see `createCarat()`.

Stable:
  ICU 64

## ◆ getCelsius()

static MeasureUnit icu::MeasureUnit::getCelsius | ( |  | ) |
| static

Returns by value, unit of temperature: celsius.

Also see `createCelsius()`.

Stable:
  ICU 64

## ◆ getCentiliter()

static MeasureUnit icu::MeasureUnit::getCentiliter | ( |  | ) |
| static

Returns by value, unit of volume: centiliter.

Also see `createCentiliter()`.

Stable:
  ICU 64

## ◆ getCentimeter()

static MeasureUnit icu::MeasureUnit::getCentimeter | ( |  | ) |
| static

Returns by value, unit of length: centimeter.

Also see `createCentimeter()`.

Stable:
  ICU 64

## ◆ getCentury()

static MeasureUnit icu::MeasureUnit::getCentury | ( |  | ) |
| static

Returns by value, unit of duration: century.

Also see `createCentury()`.

Stable:
  ICU 64

## ◆ getComplexity()

UMeasureUnitComplexity icu::MeasureUnit::getComplexity | ( | UErrorCode & | status | ) | const

Compute the complexity of the unit.

See UMeasureUnitComplexity for more information.

Parameters

  status | Set if an error occurs.

Returns
  The unit complexity.

Stable:
  ICU 67

## ◆ getCubicCentimeter()

static MeasureUnit icu::MeasureUnit::getCubicCentimeter | ( |  | ) |
| static

Returns by value, unit of volume: cubic-centimeter.

Also see `createCubicCentimeter()`.

Stable:
  ICU 64

## ◆ getCubicFoot()

static MeasureUnit icu::MeasureUnit::getCubicFoot | ( |  | ) |
| static

Returns by value, unit of volume: cubic-foot.

Also see `createCubicFoot()`.

Stable:
  ICU 64

## ◆ getCubicInch()

static MeasureUnit icu::MeasureUnit::getCubicInch | ( |  | ) |
| static

Returns by value, unit of volume: cubic-inch.

Also see `createCubicInch()`.

Stable:
  ICU 64

## ◆ getCubicKilometer()

static MeasureUnit icu::MeasureUnit::getCubicKilometer | ( |  | ) |
| static

Returns by value, unit of volume: cubic-kilometer.

Also see `createCubicKilometer()`.

Stable:
  ICU 64

## ◆ getCubicMeter()

static MeasureUnit icu::MeasureUnit::getCubicMeter | ( |  | ) |
| static

Returns by value, unit of volume: cubic-meter.

Also see `createCubicMeter()`.

Stable:
  ICU 64

## ◆ getCubicMile()

static MeasureUnit icu::MeasureUnit::getCubicMile | ( |  | ) |
| static

Returns by value, unit of volume: cubic-mile.

Also see `createCubicMile()`.

Stable:
  ICU 64

## ◆ getCubicYard()

static MeasureUnit icu::MeasureUnit::getCubicYard | ( |  | ) |
| static

Returns by value, unit of volume: cubic-yard.

Also see `createCubicYard()`.

Stable:
  ICU 64

## ◆ getCup()

static MeasureUnit icu::MeasureUnit::getCup | ( |  | ) |
| static

Returns by value, unit of volume: cup.

Also see `createCup()`.

Stable:
  ICU 64

## ◆ getCupMetric()

static MeasureUnit icu::MeasureUnit::getCupMetric | ( |  | ) |
| static

Returns by value, unit of volume: cup-metric.

Also see `createCupMetric()`.

Stable:
  ICU 64

## ◆ getDalton()

static MeasureUnit icu::MeasureUnit::getDalton | ( |  | ) |
| static

Returns by value, unit of mass: dalton.

Also see `createDalton()`.

Stable:
  ICU 64

## ◆ getDay()

static MeasureUnit icu::MeasureUnit::getDay | ( |  | ) |
| static

Returns by value, unit of duration: day.

Also see `createDay()`.

Stable:
  ICU 64

## ◆ getDayPerson()

static MeasureUnit icu::MeasureUnit::getDayPerson | ( |  | ) |
| static

Returns by value, unit of duration: day-person.

Also see `createDayPerson()`.

Stable:
  ICU 64

## ◆ getDecade()

static MeasureUnit icu::MeasureUnit::getDecade | ( |  | ) |
| static

Returns by value, unit of duration: decade.

Also see `createDecade()`.

Stable:
  ICU 65

## ◆ getDeciliter()

static MeasureUnit icu::MeasureUnit::getDeciliter | ( |  | ) |
| static

Returns by value, unit of volume: deciliter.

Also see `createDeciliter()`.

Stable:
  ICU 64

## ◆ getDecimeter()

static MeasureUnit icu::MeasureUnit::getDecimeter | ( |  | ) |
| static

Returns by value, unit of length: decimeter.

Also see `createDecimeter()`.

Stable:
  ICU 64

## ◆ getDegree()

static MeasureUnit icu::MeasureUnit::getDegree | ( |  | ) |
| static

Returns by value, unit of angle: degree.

Also see `createDegree()`.

Stable:
  ICU 64

## ◆ getDessertSpoon()

static MeasureUnit icu::MeasureUnit::getDessertSpoon | ( |  | ) |
| static

Returns by value, unit of volume: dessert-spoon.

Also see `createDessertSpoon()`.

Stable:
  ICU 68

## ◆ getDessertSpoonImperial()

static MeasureUnit icu::MeasureUnit::getDessertSpoonImperial | ( |  | ) |
| static

Returns by value, unit of volume: dessert-spoon-imperial.

Also see `createDessertSpoonImperial()`.

Stable:
  ICU 68

## ◆ getDimensionality()

int32_t icu::MeasureUnit::getDimensionality | ( | UErrorCode & | status | ) | const

Gets the dimensionality (power) of this MeasureUnit.

For example, if the unit is square, then 2 is returned.

NOTE: Only works on SINGLE units. If this is a COMPOUND or MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

For the base dimensionless unit, getDimensionality returns 0.

Parameters

  status | Set if this is not a SINGLE unit or if another error occurs.

Returns
  The dimensionality (power) of this simple unit.

Stable:
  ICU 67

## ◆ getDot()

static MeasureUnit icu::MeasureUnit::getDot | ( |  | ) |
| static

Returns by value, unit of graphics: dot.

Also see `createDot()`.

Stable:
  ICU 68

## ◆ getDotPerCentimeter()

static MeasureUnit icu::MeasureUnit::getDotPerCentimeter | ( |  | ) |
| static

Returns by value, unit of graphics: dot-per-centimeter.

Also see `createDotPerCentimeter()`.

Stable:
  ICU 65

## ◆ getDotPerInch()

static MeasureUnit icu::MeasureUnit::getDotPerInch | ( |  | ) |
| static

Returns by value, unit of graphics: dot-per-inch.

Also see `createDotPerInch()`.

Stable:
  ICU 65

## ◆ getDram()

static MeasureUnit icu::MeasureUnit::getDram | ( |  | ) |
| static

Returns by value, unit of volume: dram.

Also see `createDram()`.

Stable:
  ICU 68

## ◆ getDrop()

static MeasureUnit icu::MeasureUnit::getDrop | ( |  | ) |
| static

Returns by value, unit of volume: drop.

Also see `createDrop()`.

Stable:
  ICU 68

## ◆ getDunam()

static MeasureUnit icu::MeasureUnit::getDunam | ( |  | ) |
| static

Returns by value, unit of area: dunam.

Also see `createDunam()`.

Stable:
  ICU 64

## ◆ getDynamicClassID()

virtual UClassID icu::MeasureUnit::getDynamicClassID | ( | void |  | ) | const
| override virtual

Returns a unique class ID POLYMORPHICALLY.

Pure virtual override. This method is to implement a simple version of RTTI, since not all C++ compilers support genuine RTTI. Polymorphic operator==() and clone() methods call this method.

Returns
  The class ID for this object. All objects of a given class have the same class ID. Objects of other classes have different class IDs.

Stable:
  ICU 53

Reimplemented from icu::UObject.

Reimplemented in icu::CurrencyUnit, and icu::TimeUnit.

## ◆ getEarthMass()

static MeasureUnit icu::MeasureUnit::getEarthMass | ( |  | ) |
| static

Returns by value, unit of mass: earth-mass.

Also see `createEarthMass()`.

Stable:
  ICU 64

## ◆ getEarthRadius()

static MeasureUnit icu::MeasureUnit::getEarthRadius | ( |  | ) |
| static

Returns by value, unit of length: earth-radius.

Also see `createEarthRadius()`.

Stable:
  ICU 68

## ◆ getElectronvolt()

static MeasureUnit icu::MeasureUnit::getElectronvolt | ( |  | ) |
| static

Returns by value, unit of energy: electronvolt.

Also see `createElectronvolt()`.

Stable:
  ICU 64

## ◆ getEm()

static MeasureUnit icu::MeasureUnit::getEm | ( |  | ) |
| static

Returns by value, unit of graphics: em.

Also see `createEm()`.

Stable:
  ICU 65

## ◆ getFahrenheit()

static MeasureUnit icu::MeasureUnit::getFahrenheit | ( |  | ) |
| static

Returns by value, unit of temperature: fahrenheit.

Also see `createFahrenheit()`.

Stable:
  ICU 64

## ◆ getFathom()

static MeasureUnit icu::MeasureUnit::getFathom | ( |  | ) |
| static

Returns by value, unit of length: fathom.

Also see `createFathom()`.

Stable:
  ICU 64

## ◆ getFluidOunce()

static MeasureUnit icu::MeasureUnit::getFluidOunce | ( |  | ) |
| static

Returns by value, unit of volume: fluid-ounce.

Also see `createFluidOunce()`.

Stable:
  ICU 64

## ◆ getFluidOunceImperial()

static MeasureUnit icu::MeasureUnit::getFluidOunceImperial | ( |  | ) |
| static

Returns by value, unit of volume: fluid-ounce-imperial.

Also see `createFluidOunceImperial()`.

Stable:
  ICU 64

## ◆ getFoodcalorie()

static MeasureUnit icu::MeasureUnit::getFoodcalorie | ( |  | ) |
| static

Returns by value, unit of energy: foodcalorie.

Also see `createFoodcalorie()`.

Stable:
  ICU 64

## ◆ getFoot()

static MeasureUnit icu::MeasureUnit::getFoot | ( |  | ) |
| static

Returns by value, unit of length: foot.

Also see `createFoot()`.

Stable:
  ICU 64

## ◆ getFurlong()

static MeasureUnit icu::MeasureUnit::getFurlong | ( |  | ) |
| static

Returns by value, unit of length: furlong.

Also see `createFurlong()`.

Stable:
  ICU 64

## ◆ getGallon()

static MeasureUnit icu::MeasureUnit::getGallon | ( |  | ) |
| static

Returns by value, unit of volume: gallon.

Also see `createGallon()`.

Stable:
  ICU 64

## ◆ getGallonImperial()

static MeasureUnit icu::MeasureUnit::getGallonImperial | ( |  | ) |
| static

Returns by value, unit of volume: gallon-imperial.

Also see `createGallonImperial()`.

Stable:
  ICU 64

## ◆ getGasolineEnergyDensity()

static MeasureUnit icu::MeasureUnit::getGasolineEnergyDensity | ( |  | ) |
| static

Returns by value, unit of pressure: gasoline-energy-density.

Also see `createGasolineEnergyDensity()`.

Draft:
  This API may be changed in the future versions and was introduced in ICU 74

## ◆ getGenericTemperature()

static MeasureUnit icu::MeasureUnit::getGenericTemperature | ( |  | ) |
| static

Returns by value, unit of temperature: generic.

Also see `createGenericTemperature()`.

Stable:
  ICU 64

## ◆ getGForce()

static MeasureUnit icu::MeasureUnit::getGForce | ( |  | ) |
| static

Returns by value, unit of acceleration: g-force.

Also see `createGForce()`.

Stable:
  ICU 64

## ◆ getGigabit()

static MeasureUnit icu::MeasureUnit::getGigabit | ( |  | ) |
| static

Returns by value, unit of digital: gigabit.

Also see `createGigabit()`.

Stable:
  ICU 64

## ◆ getGigabyte()

static MeasureUnit icu::MeasureUnit::getGigabyte | ( |  | ) |
| static

Returns by value, unit of digital: gigabyte.

Also see `createGigabyte()`.

Stable:
  ICU 64

## ◆ getGigahertz()

static MeasureUnit icu::MeasureUnit::getGigahertz | ( |  | ) |
| static

Returns by value, unit of frequency: gigahertz.

Also see `createGigahertz()`.

Stable:
  ICU 64

## ◆ getGigawatt()

static MeasureUnit icu::MeasureUnit::getGigawatt | ( |  | ) |
| static

Returns by value, unit of power: gigawatt.

Also see `createGigawatt()`.

Stable:
  ICU 64

## ◆ getGrain()

static MeasureUnit icu::MeasureUnit::getGrain | ( |  | ) |
| static

Returns by value, unit of mass: grain.

Also see `createGrain()`.

Stable:
  ICU 68

## ◆ getGram()

static MeasureUnit icu::MeasureUnit::getGram | ( |  | ) |
| static

Returns by value, unit of mass: gram.

Also see `createGram()`.

Stable:
  ICU 64

## ◆ getHectare()

static MeasureUnit icu::MeasureUnit::getHectare | ( |  | ) |
| static

Returns by value, unit of area: hectare.

Also see `createHectare()`.

Stable:
  ICU 64

## ◆ getHectoliter()

static MeasureUnit icu::MeasureUnit::getHectoliter | ( |  | ) |
| static

Returns by value, unit of volume: hectoliter.

Also see `createHectoliter()`.

Stable:
  ICU 64

## ◆ getHectopascal()

static MeasureUnit icu::MeasureUnit::getHectopascal | ( |  | ) |
| static

Returns by value, unit of pressure: hectopascal.

Also see `createHectopascal()`.

Stable:
  ICU 64

## ◆ getHertz()

static MeasureUnit icu::MeasureUnit::getHertz | ( |  | ) |
| static

Returns by value, unit of frequency: hertz.

Also see `createHertz()`.

Stable:
  ICU 64

## ◆ getHorsepower()

static MeasureUnit icu::MeasureUnit::getHorsepower | ( |  | ) |
| static

Returns by value, unit of power: horsepower.

Also see `createHorsepower()`.

Stable:
  ICU 64

## ◆ getHour()

static MeasureUnit icu::MeasureUnit::getHour | ( |  | ) |
| static

Returns by value, unit of duration: hour.

Also see `createHour()`.

Stable:
  ICU 64

## ◆ getIdentifier()

const char * icu::MeasureUnit::getIdentifier | ( |  | ) | const

Get CLDR Unit Identifier for this MeasureUnit, as defined in UTS 35.

Returns
  The string form of this unit, owned by this MeasureUnit.

Stable:
  ICU 67

## ◆ getInch()

static MeasureUnit icu::MeasureUnit::getInch | ( |  | ) |
| static

Returns by value, unit of length: inch.

Also see `createInch()`.

Stable:
  ICU 64

## ◆ getInchHg()

static MeasureUnit icu::MeasureUnit::getInchHg | ( |  | ) |
| static

Returns by value, unit of pressure: inch-ofhg.

Also see `createInchHg()`.

Stable:
  ICU 64

## ◆ getItem()

static MeasureUnit icu::MeasureUnit::getItem | ( |  | ) |
| static

Returns by value, unit of concentr: item.

Also see `createItem()`.

Stable:
  ICU 70

## ◆ getJigger()

static MeasureUnit icu::MeasureUnit::getJigger | ( |  | ) |
| static

Returns by value, unit of volume: jigger.

Also see `createJigger()`.

Stable:
  ICU 68

## ◆ getJoule()

static MeasureUnit icu::MeasureUnit::getJoule | ( |  | ) |
| static

Returns by value, unit of energy: joule.

Also see `createJoule()`.

Stable:
  ICU 64

## ◆ getKarat()

static MeasureUnit icu::MeasureUnit::getKarat | ( |  | ) |
| static

Returns by value, unit of concentr: karat.

Also see `createKarat()`.

Stable:
  ICU 64

## ◆ getKelvin()

static MeasureUnit icu::MeasureUnit::getKelvin | ( |  | ) |
| static

Returns by value, unit of temperature: kelvin.

Also see `createKelvin()`.

Stable:
  ICU 64

## ◆ getKilobit()

static MeasureUnit icu::MeasureUnit::getKilobit | ( |  | ) |
| static

Returns by value, unit of digital: kilobit.

Also see `createKilobit()`.

Stable:
  ICU 64

## ◆ getKilobyte()

static MeasureUnit icu::MeasureUnit::getKilobyte | ( |  | ) |
| static

Returns by value, unit of digital: kilobyte.

Also see `createKilobyte()`.

Stable:
  ICU 64

## ◆ getKilocalorie()

static MeasureUnit icu::MeasureUnit::getKilocalorie | ( |  | ) |
| static

Returns by value, unit of energy: kilocalorie.

Also see `createKilocalorie()`.

Stable:
  ICU 64

## ◆ getKilogram()

static MeasureUnit icu::MeasureUnit::getKilogram | ( |  | ) |
| static

Returns by value, unit of mass: kilogram.

Also see `createKilogram()`.

Stable:
  ICU 64

## ◆ getKilohertz()

static MeasureUnit icu::MeasureUnit::getKilohertz | ( |  | ) |
| static

Returns by value, unit of frequency: kilohertz.

Also see `createKilohertz()`.

Stable:
  ICU 64

## ◆ getKilojoule()

static MeasureUnit icu::MeasureUnit::getKilojoule | ( |  | ) |
| static

Returns by value, unit of energy: kilojoule.

Also see `createKilojoule()`.

Stable:
  ICU 64

## ◆ getKilometer()

static MeasureUnit icu::MeasureUnit::getKilometer | ( |  | ) |
| static

Returns by value, unit of length: kilometer.

Also see `createKilometer()`.

Stable:
  ICU 64

## ◆ getKilometerPerHour()

static MeasureUnit icu::MeasureUnit::getKilometerPerHour | ( |  | ) |
| static

Returns by value, unit of speed: kilometer-per-hour.

Also see `createKilometerPerHour()`.

Stable:
  ICU 64

## ◆ getKilopascal()

static MeasureUnit icu::MeasureUnit::getKilopascal | ( |  | ) |
| static

Returns by value, unit of pressure: kilopascal.

Also see `createKilopascal()`.

Stable:
  ICU 64

## ◆ getKilowatt()

static MeasureUnit icu::MeasureUnit::getKilowatt | ( |  | ) |
| static

Returns by value, unit of power: kilowatt.

Also see `createKilowatt()`.

Stable:
  ICU 64

## ◆ getKilowattHour()

static MeasureUnit icu::MeasureUnit::getKilowattHour | ( |  | ) |
| static

Returns by value, unit of energy: kilowatt-hour.

Also see `createKilowattHour()`.

Stable:
  ICU 64

## ◆ getKilowattHourPer100Kilometer()

static MeasureUnit icu::MeasureUnit::getKilowattHourPer100Kilometer | ( |  | ) |
| static

Returns by value, unit of force: kilowatt-hour-per-100-kilometer.

Also see `createKilowattHourPer100Kilometer()`.

Stable:
  ICU 70

## ◆ getKnot()

static MeasureUnit icu::MeasureUnit::getKnot | ( |  | ) |
| static

Returns by value, unit of speed: knot.

Also see `createKnot()`.

Stable:
  ICU 64

## ◆ getLightYear()

static MeasureUnit icu::MeasureUnit::getLightYear | ( |  | ) |
| static

Returns by value, unit of length: light-year.

Also see `createLightYear()`.

Stable:
  ICU 64

## ◆ getLiter()

static MeasureUnit icu::MeasureUnit::getLiter | ( |  | ) |
| static

Returns by value, unit of volume: liter.

Also see `createLiter()`.

Stable:
  ICU 64

## ◆ getLiterPer100Kilometers()

static MeasureUnit icu::MeasureUnit::getLiterPer100Kilometers | ( |  | ) |
| static

Returns by value, unit of consumption: liter-per-100-kilometer.

Also see `createLiterPer100Kilometers()`.

Stable:
  ICU 64

## ◆ getLiterPerKilometer()

static MeasureUnit icu::MeasureUnit::getLiterPerKilometer | ( |  | ) |
| static

Returns by value, unit of consumption: liter-per-kilometer.

Also see `createLiterPerKilometer()`.

Stable:
  ICU 64

## ◆ getLumen()

static MeasureUnit icu::MeasureUnit::getLumen | ( |  | ) |
| static

Returns by value, unit of light: lumen.

Also see `createLumen()`.

Stable:
  ICU 68

## ◆ getLux()

static MeasureUnit icu::MeasureUnit::getLux | ( |  | ) |
| static

Returns by value, unit of light: lux.

Also see `createLux()`.

Stable:
  ICU 64

## ◆ getMegabit()

static MeasureUnit icu::MeasureUnit::getMegabit | ( |  | ) |
| static

Returns by value, unit of digital: megabit.

Also see `createMegabit()`.

Stable:
  ICU 64

## ◆ getMegabyte()

static MeasureUnit icu::MeasureUnit::getMegabyte | ( |  | ) |
| static

Returns by value, unit of digital: megabyte.

Also see `createMegabyte()`.

Stable:
  ICU 64

## ◆ getMegahertz()

static MeasureUnit icu::MeasureUnit::getMegahertz | ( |  | ) |
| static

Returns by value, unit of frequency: megahertz.

Also see `createMegahertz()`.

Stable:
  ICU 64

## ◆ getMegaliter()

static MeasureUnit icu::MeasureUnit::getMegaliter | ( |  | ) |
| static

Returns by value, unit of volume: megaliter.

Also see `createMegaliter()`.

Stable:
  ICU 64

## ◆ getMegapascal()

static MeasureUnit icu::MeasureUnit::getMegapascal | ( |  | ) |
| static

Returns by value, unit of pressure: megapascal.

Also see `createMegapascal()`.

Stable:
  ICU 64

## ◆ getMegapixel()

static MeasureUnit icu::MeasureUnit::getMegapixel | ( |  | ) |
| static

Returns by value, unit of graphics: megapixel.

Also see `createMegapixel()`.

Stable:
  ICU 65

## ◆ getMegawatt()

static MeasureUnit icu::MeasureUnit::getMegawatt | ( |  | ) |
| static

Returns by value, unit of power: megawatt.

Also see `createMegawatt()`.

Stable:
  ICU 64

## ◆ getMeter()

static MeasureUnit icu::MeasureUnit::getMeter | ( |  | ) |
| static

Returns by value, unit of length: meter.

Also see `createMeter()`.

Stable:
  ICU 64

## ◆ getMeterPerSecond()

static MeasureUnit icu::MeasureUnit::getMeterPerSecond | ( |  | ) |
| static

Returns by value, unit of speed: meter-per-second.

Also see `createMeterPerSecond()`.

Stable:
  ICU 64

## ◆ getMeterPerSecondSquared()

static MeasureUnit icu::MeasureUnit::getMeterPerSecondSquared | ( |  | ) |
| static

Returns by value, unit of acceleration: meter-per-square-second.

Also see `createMeterPerSecondSquared()`.

Stable:
  ICU 64

## ◆ getMetricTon()

static MeasureUnit icu::MeasureUnit::getMetricTon | ( |  | ) |
| static

Returns by value, unit of mass: metric-ton (renamed to tonne in CLDR 42 / ICU 72).

Note: In ICU 74 this will be deprecated in favor of getTonne(), which is currently draft but will become stable in ICU 74, and which uses the preferred naming. Also see `createMetricTon()` and `getTonne()`.

Stable:
  ICU 64

## ◆ getMicrogram()

static MeasureUnit icu::MeasureUnit::getMicrogram | ( |  | ) |
| static

Returns by value, unit of mass: microgram.

Also see `createMicrogram()`.

Stable:
  ICU 64

## ◆ getMicrometer()

static MeasureUnit icu::MeasureUnit::getMicrometer | ( |  | ) |
| static

Returns by value, unit of length: micrometer.

Also see `createMicrometer()`.

Stable:
  ICU 64

## ◆ getMicrosecond()

static MeasureUnit icu::MeasureUnit::getMicrosecond | ( |  | ) |
| static

Returns by value, unit of duration: microsecond.

Also see `createMicrosecond()`.

Stable:
  ICU 64

## ◆ getMile()

static MeasureUnit icu::MeasureUnit::getMile | ( |  | ) |
| static

Returns by value, unit of length: mile.

Also see `createMile()`.

Stable:
  ICU 64

## ◆ getMilePerGallon()

static MeasureUnit icu::MeasureUnit::getMilePerGallon | ( |  | ) |
| static

Returns by value, unit of consumption: mile-per-gallon.

Also see `createMilePerGallon()`.

Stable:
  ICU 64

## ◆ getMilePerGallonImperial()

static MeasureUnit icu::MeasureUnit::getMilePerGallonImperial | ( |  | ) |
| static

Returns by value, unit of consumption: mile-per-gallon-imperial.

Also see `createMilePerGallonImperial()`.

Stable:
  ICU 64

## ◆ getMilePerHour()

static MeasureUnit icu::MeasureUnit::getMilePerHour | ( |  | ) |
| static

Returns by value, unit of speed: mile-per-hour.

Also see `createMilePerHour()`.

Stable:
  ICU 64

## ◆ getMileScandinavian()

static MeasureUnit icu::MeasureUnit::getMileScandinavian | ( |  | ) |
| static

Returns by value, unit of length: mile-scandinavian.

Also see `createMileScandinavian()`.

Stable:
  ICU 64

## ◆ getMilliampere()

static MeasureUnit icu::MeasureUnit::getMilliampere | ( |  | ) |
| static

Returns by value, unit of electric: milliampere.

Also see `createMilliampere()`.

Stable:
  ICU 64

## ◆ getMillibar()

static MeasureUnit icu::MeasureUnit::getMillibar | ( |  | ) |
| static

Returns by value, unit of pressure: millibar.

Also see `createMillibar()`.

Stable:
  ICU 64

## ◆ getMilligram()

static MeasureUnit icu::MeasureUnit::getMilligram | ( |  | ) |
| static

Returns by value, unit of mass: milligram.

Also see `createMilligram()`.

Stable:
  ICU 64

## ◆ getMilligramOfglucosePerDeciliter()

static MeasureUnit icu::MeasureUnit::getMilligramOfglucosePerDeciliter | ( |  | ) |
| static

Returns by value, unit of concentr: milligram-ofglucose-per-deciliter.

Also see `createMilligramOfglucosePerDeciliter()`.

Stable:
  ICU 69

## ◆ getMilligramPerDeciliter()

static MeasureUnit icu::MeasureUnit::getMilligramPerDeciliter | ( |  | ) |
| static

Returns by value, unit of concentr: milligram-per-deciliter.

Also see `createMilligramPerDeciliter()`.

Stable:
  ICU 64

## ◆ getMilliliter()

static MeasureUnit icu::MeasureUnit::getMilliliter | ( |  | ) |
| static

Returns by value, unit of volume: milliliter.

Also see `createMilliliter()`.

Stable:
  ICU 64

## ◆ getMillimeter()

static MeasureUnit icu::MeasureUnit::getMillimeter | ( |  | ) |
| static

Returns by value, unit of length: millimeter.

Also see `createMillimeter()`.

Stable:
  ICU 64

## ◆ getMillimeterOfMercury()

static MeasureUnit icu::MeasureUnit::getMillimeterOfMercury | ( |  | ) |
| static

Returns by value, unit of pressure: millimeter-ofhg.

Also see `createMillimeterOfMercury()`.

Stable:
  ICU 64

## ◆ getMillimolePerLiter()

static MeasureUnit icu::MeasureUnit::getMillimolePerLiter | ( |  | ) |
| static

Returns by value, unit of concentr: millimole-per-liter.

Also see `createMillimolePerLiter()`.

Stable:
  ICU 64

## ◆ getMillisecond()

static MeasureUnit icu::MeasureUnit::getMillisecond | ( |  | ) |
| static

Returns by value, unit of duration: millisecond.

Also see `createMillisecond()`.

Stable:
  ICU 64

## ◆ getMilliwatt()

static MeasureUnit icu::MeasureUnit::getMilliwatt | ( |  | ) |
| static

Returns by value, unit of power: milliwatt.

Also see `createMilliwatt()`.

Stable:
  ICU 64

## ◆ getMinute()

static MeasureUnit icu::MeasureUnit::getMinute | ( |  | ) |
| static

Returns by value, unit of duration: minute.

Also see `createMinute()`.

Stable:
  ICU 64

## ◆ getMole()

static MeasureUnit icu::MeasureUnit::getMole | ( |  | ) |
| static

Returns by value, unit of concentr: mole.

Also see `createMole()`.

Stable:
  ICU 64

## ◆ getMonth()

static MeasureUnit icu::MeasureUnit::getMonth | ( |  | ) |
| static

Returns by value, unit of duration: month.

Also see `createMonth()`.

Stable:
  ICU 64

## ◆ getMonthPerson()

static MeasureUnit icu::MeasureUnit::getMonthPerson | ( |  | ) |
| static

Returns by value, unit of duration: month-person.

Also see `createMonthPerson()`.

Stable:
  ICU 64

## ◆ getNanometer()

static MeasureUnit icu::MeasureUnit::getNanometer | ( |  | ) |
| static

Returns by value, unit of length: nanometer.

Also see `createNanometer()`.

Stable:
  ICU 64

## ◆ getNanosecond()

static MeasureUnit icu::MeasureUnit::getNanosecond | ( |  | ) |
| static

Returns by value, unit of duration: nanosecond.

Also see `createNanosecond()`.

Stable:
  ICU 64

## ◆ getNauticalMile()

static MeasureUnit icu::MeasureUnit::getNauticalMile | ( |  | ) |
| static

Returns by value, unit of length: nautical-mile.

Also see `createNauticalMile()`.

Stable:
  ICU 64

## ◆ getNewton()

static MeasureUnit icu::MeasureUnit::getNewton | ( |  | ) |
| static

Returns by value, unit of force: newton.

Also see `createNewton()`.

Stable:
  ICU 64

## ◆ getNewtonMeter()

static MeasureUnit icu::MeasureUnit::getNewtonMeter | ( |  | ) |
| static

Returns by value, unit of torque: newton-meter.

Also see `createNewtonMeter()`.

Stable:
  ICU 64

## ◆ getOffset()

int32_t icu::MeasureUnit::getOffset | ( |  | ) | const

ICU use only.

Returns associated array index for this measure unit.

Internal:
  Do not use. This API is for internal use only.

## ◆ getOhm()

static MeasureUnit icu::MeasureUnit::getOhm | ( |  | ) |
| static

Returns by value, unit of electric: ohm.

Also see `createOhm()`.

Stable:
  ICU 64

## ◆ getOunce()

static MeasureUnit icu::MeasureUnit::getOunce | ( |  | ) |
| static

Returns by value, unit of mass: ounce.

Also see `createOunce()`.

Stable:
  ICU 64

## ◆ getOunceTroy()

static MeasureUnit icu::MeasureUnit::getOunceTroy | ( |  | ) |
| static

Returns by value, unit of mass: ounce-troy.

Also see `createOunceTroy()`.

Stable:
  ICU 64

## ◆ getParsec()

static MeasureUnit icu::MeasureUnit::getParsec | ( |  | ) |
| static

Returns by value, unit of length: parsec.

Also see `createParsec()`.

Stable:
  ICU 64

## ◆ getPartPerMillion()

static MeasureUnit icu::MeasureUnit::getPartPerMillion | ( |  | ) |
| static

Returns by value, unit of concentr: permillion.

Also see `createPartPerMillion()`.

Stable:
  ICU 64

## ◆ getPascal()

static MeasureUnit icu::MeasureUnit::getPascal | ( |  | ) |
| static

Returns by value, unit of pressure: pascal.

Also see `createPascal()`.

Stable:
  ICU 65

## ◆ getPercent()

static MeasureUnit icu::MeasureUnit::getPercent | ( |  | ) |
| static

Returns by value, unit of concentr: percent.

Also see `createPercent()`.

Stable:
  ICU 64

## ◆ getPermille()

static MeasureUnit icu::MeasureUnit::getPermille | ( |  | ) |
| static

Returns by value, unit of concentr: permille.

Also see `createPermille()`.

Stable:
  ICU 64

## ◆ getPermyriad()

static MeasureUnit icu::MeasureUnit::getPermyriad | ( |  | ) |
| static

Returns by value, unit of concentr: permyriad.

Also see `createPermyriad()`.

Stable:
  ICU 64

## ◆ getPetabyte()

static MeasureUnit icu::MeasureUnit::getPetabyte | ( |  | ) |
| static

Returns by value, unit of digital: petabyte.

Also see `createPetabyte()`.

Stable:
  ICU 64

## ◆ getPicometer()

static MeasureUnit icu::MeasureUnit::getPicometer | ( |  | ) |
| static

Returns by value, unit of length: picometer.

Also see `createPicometer()`.

Stable:
  ICU 64

## ◆ getPinch()

static MeasureUnit icu::MeasureUnit::getPinch | ( |  | ) |
| static

Returns by value, unit of volume: pinch.

Also see `createPinch()`.

Stable:
  ICU 68

## ◆ getPint()

static MeasureUnit icu::MeasureUnit::getPint | ( |  | ) |
| static

Returns by value, unit of volume: pint.

Also see `createPint()`.

Stable:
  ICU 64

## ◆ getPintMetric()

static MeasureUnit icu::MeasureUnit::getPintMetric | ( |  | ) |
| static

Returns by value, unit of volume: pint-metric.

Also see `createPintMetric()`.

Stable:
  ICU 64

## ◆ getPixel()

static MeasureUnit icu::MeasureUnit::getPixel | ( |  | ) |
| static

Returns by value, unit of graphics: pixel.

Also see `createPixel()`.

Stable:
  ICU 65

## ◆ getPixelPerCentimeter()

static MeasureUnit icu::MeasureUnit::getPixelPerCentimeter | ( |  | ) |
| static

Returns by value, unit of graphics: pixel-per-centimeter.

Also see `createPixelPerCentimeter()`.

Stable:
  ICU 65

## ◆ getPixelPerInch()

static MeasureUnit icu::MeasureUnit::getPixelPerInch | ( |  | ) |
| static

Returns by value, unit of graphics: pixel-per-inch.

Also see `createPixelPerInch()`.

Stable:
  ICU 65

## ◆ getPoint()

static MeasureUnit icu::MeasureUnit::getPoint | ( |  | ) |
| static

Returns by value, unit of length: point.

Also see `createPoint()`.

Stable:
  ICU 64

## ◆ getPound()

static MeasureUnit icu::MeasureUnit::getPound | ( |  | ) |
| static

Returns by value, unit of mass: pound.

Also see `createPound()`.

Stable:
  ICU 64

## ◆ getPoundFoot()

static MeasureUnit icu::MeasureUnit::getPoundFoot | ( |  | ) |
| static

Returns by value, unit of torque: pound-force-foot.

Also see `createPoundFoot()`.

Stable:
  ICU 64

## ◆ getPoundForce()

static MeasureUnit icu::MeasureUnit::getPoundForce | ( |  | ) |
| static

Returns by value, unit of force: pound-force.

Also see `createPoundForce()`.

Stable:
  ICU 64

## ◆ getPoundPerSquareInch()

static MeasureUnit icu::MeasureUnit::getPoundPerSquareInch | ( |  | ) |
| static

Returns by value, unit of pressure: pound-force-per-square-inch.

Also see `createPoundPerSquareInch()`.

Stable:
  ICU 64

## ◆ getPrefix()

UMeasurePrefix icu::MeasureUnit::getPrefix | ( | UErrorCode & | status | ) | const

Returns the current SI or binary prefix of this SINGLE unit.

For example, if the unit has the prefix "kilo", then UMEASURE_PREFIX_KILO is returned.

NOTE: Only works on SINGLE units. If this is a COMPOUND or MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

Parameters

  status | Set if this is not a SINGLE unit or if another error occurs.

Returns
  The prefix of this SINGLE unit, from UMeasurePrefix.

See also
  umeas_getPrefixBase
  umeas_getPrefixPower

Stable:
  ICU 69

## ◆ getQuart()

static MeasureUnit icu::MeasureUnit::getQuart | ( |  | ) |
| static

Returns by value, unit of volume: quart.

Also see `createQuart()`.

Stable:
  ICU 64

## ◆ getQuarter()

static MeasureUnit icu::MeasureUnit::getQuarter | ( |  | ) |
| static

Returns by value, unit of duration: quarter.

Also see `createQuarter()`.

Stable:
  ICU 72

## ◆ getQuartImperial()

static MeasureUnit icu::MeasureUnit::getQuartImperial | ( |  | ) |
| static

Returns by value, unit of volume: quart-imperial.

Also see `createQuartImperial()`.

Stable:
  ICU 68

## ◆ getRadian()

static MeasureUnit icu::MeasureUnit::getRadian | ( |  | ) |
| static

Returns by value, unit of angle: radian.

Also see `createRadian()`.

Stable:
  ICU 64

## ◆ getRevolutionAngle()

static MeasureUnit icu::MeasureUnit::getRevolutionAngle | ( |  | ) |
| static

Returns by value, unit of angle: revolution.

Also see `createRevolutionAngle()`.

Stable:
  ICU 64

## ◆ getSecond()

static MeasureUnit icu::MeasureUnit::getSecond | ( |  | ) |
| static

Returns by value, unit of duration: second.

Also see `createSecond()`.

Stable:
  ICU 64

## ◆ getSolarLuminosity()

static MeasureUnit icu::MeasureUnit::getSolarLuminosity | ( |  | ) |
| static

Returns by value, unit of light: solar-luminosity.

Also see `createSolarLuminosity()`.

Stable:
  ICU 64

## ◆ getSolarMass()

static MeasureUnit icu::MeasureUnit::getSolarMass | ( |  | ) |
| static

Returns by value, unit of mass: solar-mass.

Also see `createSolarMass()`.

Stable:
  ICU 64

## ◆ getSolarRadius()

static MeasureUnit icu::MeasureUnit::getSolarRadius | ( |  | ) |
| static

Returns by value, unit of length: solar-radius.

Also see `createSolarRadius()`.

Stable:
  ICU 64

## ◆ getSquareCentimeter()

static MeasureUnit icu::MeasureUnit::getSquareCentimeter | ( |  | ) |
| static

Returns by value, unit of area: square-centimeter.

Also see `createSquareCentimeter()`.

Stable:
  ICU 64

## ◆ getSquareFoot()

static MeasureUnit icu::MeasureUnit::getSquareFoot | ( |  | ) |
| static

Returns by value, unit of area: square-foot.

Also see `createSquareFoot()`.

Stable:
  ICU 64

## ◆ getSquareInch()

static MeasureUnit icu::MeasureUnit::getSquareInch | ( |  | ) |
| static

Returns by value, unit of area: square-inch.

Also see `createSquareInch()`.

Stable:
  ICU 64

## ◆ getSquareKilometer()

static MeasureUnit icu::MeasureUnit::getSquareKilometer | ( |  | ) |
| static

Returns by value, unit of area: square-kilometer.

Also see `createSquareKilometer()`.

Stable:
  ICU 64

## ◆ getSquareMeter()

static MeasureUnit icu::MeasureUnit::getSquareMeter | ( |  | ) |
| static

Returns by value, unit of area: square-meter.

Also see `createSquareMeter()`.

Stable:
  ICU 64

## ◆ getSquareMile()

static MeasureUnit icu::MeasureUnit::getSquareMile | ( |  | ) |
| static

Returns by value, unit of area: square-mile.

Also see `createSquareMile()`.

Stable:
  ICU 64

## ◆ getSquareYard()

static MeasureUnit icu::MeasureUnit::getSquareYard | ( |  | ) |
| static

Returns by value, unit of area: square-yard.

Also see `createSquareYard()`.

Stable:
  ICU 64

## ◆ getStaticClassID()

static UClassID icu::MeasureUnit::getStaticClassID | ( | void |  | ) |
| static

Return the class ID for this class.

This is useful only for comparing to a return value from getDynamicClassID(). For example:

    .   Base* polymorphic_pointer = createPolymorphicObject();
    .   if (polymorphic_pointer->getDynamicClassID() ==
    .       Derived::getStaticClassID()) ...

Returns
  The class ID for all objects of this class.

Stable:
  ICU 53

## ◆ getStone()

static MeasureUnit icu::MeasureUnit::getStone | ( |  | ) |
| static

Returns by value, unit of mass: stone.

Also see `createStone()`.

Stable:
  ICU 64

## ◆ getSubtype()

const char * icu::MeasureUnit::getSubtype | ( |  | ) | const

Get the sub type.

If the unit does not have a subtype, the empty string is returned.

Stable:
  ICU 53

## ◆ getTablespoon()

static MeasureUnit icu::MeasureUnit::getTablespoon | ( |  | ) |
| static

Returns by value, unit of volume: tablespoon.

Also see `createTablespoon()`.

Stable:
  ICU 64

## ◆ getTeaspoon()

static MeasureUnit icu::MeasureUnit::getTeaspoon | ( |  | ) |
| static

Returns by value, unit of volume: teaspoon.

Also see `createTeaspoon()`.

Stable:
  ICU 64

## ◆ getTerabit()

static MeasureUnit icu::MeasureUnit::getTerabit | ( |  | ) |
| static

Returns by value, unit of digital: terabit.

Also see `createTerabit()`.

Stable:
  ICU 64

## ◆ getTerabyte()

static MeasureUnit icu::MeasureUnit::getTerabyte | ( |  | ) |
| static

Returns by value, unit of digital: terabyte.

Also see `createTerabyte()`.

Stable:
  ICU 64

## ◆ getThermUs()

static MeasureUnit icu::MeasureUnit::getThermUs | ( |  | ) |
| static

Returns by value, unit of energy: therm-us.

Also see `createThermUs()`.

Stable:
  ICU 65

## ◆ getTon()

static MeasureUnit icu::MeasureUnit::getTon | ( |  | ) |
| static

Returns by value, unit of mass: ton.

Also see `createTon()`.

Stable:
  ICU 64

## ◆ getTonne()

static MeasureUnit icu::MeasureUnit::getTonne | ( |  | ) |
| static

Returns by value, unit of mass: tonne.

Also see `createTonne()`.

Stable:
  ICU 72

## ◆ getType()

const char * icu::MeasureUnit::getType | ( |  | ) | const

Get the type.

If the unit does not have a type, the empty string is returned.

Stable:
  ICU 53

## ◆ getVolt()

static MeasureUnit icu::MeasureUnit::getVolt | ( |  | ) |
| static

Returns by value, unit of electric: volt.

Also see `createVolt()`.

Stable:
  ICU 64

## ◆ getWatt()

static MeasureUnit icu::MeasureUnit::getWatt | ( |  | ) |
| static

Returns by value, unit of power: watt.

Also see `createWatt()`.

Stable:
  ICU 64

## ◆ getWeek()

static MeasureUnit icu::MeasureUnit::getWeek | ( |  | ) |
| static

Returns by value, unit of duration: week.

Also see `createWeek()`.

Stable:
  ICU 64

## ◆ getWeekPerson()

static MeasureUnit icu::MeasureUnit::getWeekPerson | ( |  | ) |
| static

Returns by value, unit of duration: week-person.

Also see `createWeekPerson()`.

Stable:
  ICU 64

## ◆ getYard()

static MeasureUnit icu::MeasureUnit::getYard | ( |  | ) |
| static

Returns by value, unit of length: yard.

Also see `createYard()`.

Stable:
  ICU 64

## ◆ getYear()

static MeasureUnit icu::MeasureUnit::getYear | ( |  | ) |
| static

Returns by value, unit of duration: year.

Also see `createYear()`.

Stable:
  ICU 64

## ◆ getYearPerson()

static MeasureUnit icu::MeasureUnit::getYearPerson | ( |  | ) |
| static

Returns by value, unit of duration: year-person.

Also see `createYearPerson()`.

Stable:
  ICU 64

## ◆ initCurrency()

void icu::MeasureUnit::initCurrency | ( | StringPiece | isoCurrency | ) |
| protected

For ICU use only.

Internal:
  Do not use. This API is for internal use only.

## ◆ initTime()

void icu::MeasureUnit::initTime | ( | const char * | timeId | ) |
| protected

For ICU use only.

Internal:
  Do not use. This API is for internal use only.

## ◆ operator!=()

bool icu::MeasureUnit::operator!= | ( | const UObject & | other | ) | const
| inline

Inequality operator.

Return true if this object is not equal to the given object.

Stable:
  ICU 53

Definition at line 444 of file measunit.h.

## ◆ operator=() [1/2]

MeasureUnit & icu::MeasureUnit::operator= | ( | const MeasureUnit & | other | ) |

Copy assignment operator.

Stable:
  ICU 3.0

## ◆ operator=() [2/2]

MeasureUnit & icu::MeasureUnit::operator= | ( | MeasureUnit && | other | ) |
| noexcept

Move assignment operator.

Stable:
  ICU 67

## ◆ operator==()

virtual bool icu::MeasureUnit::operator== | ( | const UObject & | other | ) | const
| virtual

Equality operator.

Return true if this object is equal to the given object.

Stable:
  ICU 3.0

## ◆ product()

MeasureUnit icu::MeasureUnit::product | ( | const MeasureUnit & | other,
|  | UErrorCode & | status
| ) |  | const

Gets the product of this unit with another unit.

This is a way to build units from constituent parts.

The numerator and denominator are preserved through this operation.

For example, if the receiver is "kilowatt" and the argument is "hour-per-day", then the unit "kilowatt-hour-per-day" is returned.

NOTE: Only works on SINGLE and COMPOUND units. If either unit (receiver and argument) is a MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

Parameters

  other | The MeasureUnit to multiply with the target.
  status | Set if this or other is a MIXED unit or if another error occurs.

Returns
  The product of the target unit with the provided unit.

Stable:
  ICU 67

## ◆ reciprocal()

MeasureUnit icu::MeasureUnit::reciprocal | ( | UErrorCode & | status | ) | const

Gets the reciprocal of this MeasureUnit, with the numerator and denominator flipped.

For example, if the receiver is "meter-per-second", the unit "second-per-meter" is returned.

NOTE: Only works on SINGLE and COMPOUND units. If this is a MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

Parameters

  status | Set if this is a MIXED unit or if another error occurs.

Returns
  The reciprocal of the target unit.

Stable:
  ICU 67

## ◆ splitToSingleUnits()

std::pair< LocalArray< MeasureUnit >, int32_t > icu::MeasureUnit::splitToSingleUnits | ( | UErrorCode & | status | ) | const
| inline

Gets the list of SINGLE units contained within a MIXED or COMPOUND unit.

Examples:

- Given "meter-kilogram-per-second", three units will be returned: "meter", "kilogram", and "per-second".
- Given "hour+minute+second", three units will be returned: "hour", "minute", and "second".

If this is a SINGLE unit, an array of length 1 will be returned.

Parameters

  status | Set if an error occurs.

Returns
  A pair with the list of units as a LocalArray and the number of units in the list.

Stable:
  ICU 68

Definition at line 3808 of file measunit.h.

## ◆ withDimensionality()

MeasureUnit icu::MeasureUnit::withDimensionality | ( | int32_t | dimensionality,
|  | UErrorCode & | status
| ) |  | const

Creates a MeasureUnit which is this SINGLE unit augmented with the specified dimensionality (power).

For example, if dimensionality is 2, the unit will be squared.

NOTE: Only works on SINGLE units. If this is a COMPOUND or MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

For the base dimensionless unit, withDimensionality does nothing.

Parameters

  dimensionality | The dimensionality (power).
  status | Set if this is not a SINGLE unit or if another error occurs.

Returns
  A new SINGLE unit.

Stable:
  ICU 67

## ◆ withPrefix()

MeasureUnit icu::MeasureUnit::withPrefix | ( | UMeasurePrefix | prefix,
|  | UErrorCode & | status
| ) |  | const

Creates a MeasureUnit which is this SINGLE unit augmented with the specified prefix.

For example, UMEASURE_PREFIX_KILO for "kilo", or UMEASURE_PREFIX_KIBI for "kibi".

There is sufficient locale data to format all standard prefixes.

NOTE: Only works on SINGLE units. If this is a COMPOUND or MIXED unit, an error will occur. For more information, see UMeasureUnitComplexity.

Parameters

  prefix | The prefix, from UMeasurePrefix.
  status | Set if this is not a SINGLE unit or if another error occurs.

Returns
  A new SINGLE unit.

Stable:
  ICU 69

## Friends And Related Symbol Documentation

## ◆ MeasureUnitImpl

friend class MeasureUnitImpl
| friend

Definition at line 3800 of file measunit.h.

## ◆ number::impl::LongNameHandler

friend class number::impl::LongNameHandler
| friend

Definition at line 3803 of file measunit.h.

The documentation for this class was generated from the following file:

- i18n/unicode/measunit.h